// This file was generated by go generate; DO NOT EDIT

package cases

// lookup returns the trie value for the first UTF-8 encoding in s and
// the width in bytes of this encoding. The size will be 0 if s does not
// hold enough bytes to complete the encoding. len(s) must be greater than 0.
func (t *caseTrie) lookup(s []byte) (v uint16, sz int) {
	c0 := s[0]
	switch {
	case c0 < 0x80: // is ASCII
		return caseValues[c0], 1
	case c0 < 0xC2:
		return 0, 1 // Illegal UTF-8: not a starter, not ASCII.
	case c0 < 0xE0: // 2-byte UTF-8
		if len(s) < 2 {
			return 0, 0
		}
		i := caseIndex[c0]
		c1 := s[1]
		if c1 < 0x80 || 0xC0 <= c1 {
			return 0, 1 // Illegal UTF-8: not a continuation byte.
		}
		return t.lookupValue(uint32(i), c1), 2
	case c0 < 0xF0: // 3-byte UTF-8
		if len(s) < 3 {
			return 0, 0
		}
		i := caseIndex[c0]
		c1 := s[1]
		if c1 < 0x80 || 0xC0 <= c1 {
			return 0, 1 // Illegal UTF-8: not a continuation byte.
		}
		o := uint32(i)<<6 + uint32(c1)
		i = caseIndex[o]
		c2 := s[2]
		if c2 < 0x80 || 0xC0 <= c2 {
			return 0, 2 // Illegal UTF-8: not a continuation byte.
		}
		return t.lookupValue(uint32(i), c2), 3
	case c0 < 0xF8: // 4-byte UTF-8
		if len(s) < 4 {
			return 0, 0
		}
		i := caseIndex[c0]
		c1 := s[1]
		if c1 < 0x80 || 0xC0 <= c1 {
			return 0, 1 // Illegal UTF-8: not a continuation byte.
		}
		o := uint32(i)<<6 + uint32(c1)
		i = caseIndex[o]
		c2 := s[2]
		if c2 < 0x80 || 0xC0 <= c2 {
			return 0, 2 // Illegal UTF-8: not a continuation byte.
		}
		o = uint32(i)<<6 + uint32(c2)
		i = caseIndex[o]
		c3 := s[3]
		if c3 < 0x80 || 0xC0 <= c3 {
			return 0, 3 // Illegal UTF-8: not a continuation byte.
		}
		return t.lookupValue(uint32(i), c3), 4
	}
	// Illegal rune
	return 0, 1
}

// lookupUnsafe returns the trie value for the first UTF-8 encoding in s.
// s must start with a full and valid UTF-8 encoded rune.
func (t *caseTrie) lookupUnsafe(s []byte) uint16 {
	c0 := s[0]
	if c0 < 0x80 { // is ASCII
		return caseValues[c0]
	}
	i := caseIndex[c0]
	if c0 < 0xE0 { // 2-byte UTF-8
		return t.lookupValue(uint32(i), s[1])
	}
	i = caseIndex[uint32(i)<<6+uint32(s[1])]
	if c0 < 0xF0 { // 3-byte UTF-8
		return t.lookupValue(uint32(i), s[2])
	}
	i = caseIndex[uint32(i)<<6+uint32(s[2])]
	if c0 < 0xF8 { // 4-byte UTF-8
		return t.lookupValue(uint32(i), s[3])
	}
	return 0
}

// lookupString returns the trie value for the first UTF-8 encoding in s and
// the width in bytes of this encoding. The size will be 0 if s does not
// hold enough bytes to complete the encoding. len(s) must be greater than 0.
func (t *caseTrie) lookupString(s string) (v uint16, sz int) {
	c0 := s[0]
	switch {
	case c0 < 0x80: // is ASCII
		return caseValues[c0], 1
	case c0 < 0xC2:
		return 0, 1 // Illegal UTF-8: not a starter, not ASCII.
	case c0 < 0xE0: // 2-byte UTF-8
		if len(s) < 2 {
			return 0, 0
		}
		i := caseIndex[c0]
		c1 := s[1]
		if c1 < 0x80 || 0xC0 <= c1 {
			return 0, 1 // Illegal UTF-8: not a continuation byte.
		}
		return t.lookupValue(uint32(i), c1), 2
	case c0 < 0xF0: // 3-byte UTF-8
		if len(s) < 3 {
			return 0, 0
		}
		i := caseIndex[c0]
		c1 := s[1]
		if c1 < 0x80 || 0xC0 <= c1 {
			return 0, 1 // Illegal UTF-8: not a continuation byte.
		}
		o := uint32(i)<<6 + uint32(c1)
		i = caseIndex[o]
		c2 := s[2]
		if c2 < 0x80 || 0xC0 <= c2 {
			return 0, 2 // Illegal UTF-8: not a continuation byte.
		}
		return t.lookupValue(uint32(i), c2), 3
	case c0 < 0xF8: // 4-byte UTF-8
		if len(s) < 4 {
			return 0, 0
		}
		i := caseIndex[c0]
		c1 := s[1]
		if c1 < 0x80 || 0xC0 <= c1 {
			return 0, 1 // Illegal UTF-8: not a continuation byte.
		}
		o := uint32(i)<<6 + uint32(c1)
		i = caseIndex[o]
		c2 := s[2]
		if c2 < 0x80 || 0xC0 <= c2 {
			return 0, 2 // Illegal UTF-8: not a continuation byte.
		}
		o = uint32(i)<<6 + uint32(c2)
		i = caseIndex[o]
		c3 := s[3]
		if c3 < 0x80 || 0xC0 <= c3 {
			return 0, 3 // Illegal UTF-8: not a continuation byte.
		}
		return t.lookupValue(uint32(i), c3), 4
	}
	// Illegal rune
	return 0, 1
}

// lookupStringUnsafe returns the trie value for the first UTF-8 encoding in s.
// s must start with a full and valid UTF-8 encoded rune.
func (t *caseTrie) lookupStringUnsafe(s string) uint16 {
	c0 := s[0]
	if c0 < 0x80 { // is ASCII
		return caseValues[c0]
	}
	i := caseIndex[c0]
	if c0 < 0xE0 { // 2-byte UTF-8
		return t.lookupValue(uint32(i), s[1])
	}
	i = caseIndex[uint32(i)<<6+uint32(s[1])]
	if c0 < 0xF0 { // 3-byte UTF-8
		return t.lookupValue(uint32(i), s[2])
	}
	i = caseIndex[uint32(i)<<6+uint32(s[2])]
	if c0 < 0xF8 { // 4-byte UTF-8
		return t.lookupValue(uint32(i), s[3])
	}
	return 0
}

// caseTrie. Total size: 11330 bytes (11.06 KiB). Checksum: f22dcf6778cb9014.
type caseTrie struct{}

func newCaseTrie(i int) *caseTrie {
	return &caseTrie{}
}

// lookupValue determines the type of block n and looks up the value for b.
func (t *caseTrie) lookupValue(n uint32, b byte) uint16 {
	switch {
	case n < 17:
		return uint16(caseValues[n<<6+uint32(b)])
	default:
		n -= 17
		return uint16(sparse.lookup(n, b))
	}
}

// caseValues: 19 blocks, 1216 entries, 2432 bytes
// The third block is the zero block.
var caseValues = [1216]uint16{
	// Block 0x0, offset 0x0
	0x27: 0x0014,
	0x2e: 0x0014,
	0x30: 0x0010, 0x31: 0x0010, 0x32: 0x0010, 0x33: 0x0010, 0x34: 0x0010, 0x35: 0x0010,
	0x36: 0x0010, 0x37: 0x0010, 0x38: 0x0010, 0x39: 0x0010, 0x3a: 0x0014,
	// Block 0x1, offset 0x40
	0x41: 0x1013, 0x42: 0x1013, 0x43: 0x1013, 0x44: 0x1013, 0x45: 0x1013,
	0x46: 0x1013, 0x47: 0x1013, 0x48: 0x1013, 0x49: 0x1013, 0x4a: 0x1013, 0x4b: 0x1013,
	0x4c: 0x1013, 0x4d: 0x1013, 0x4e: 0x1013, 0x4f: 0x1013, 0x50: 0x1013, 0x51: 0x1013,
	0x52: 0x1013, 0x53: 0x1013, 0x54: 0x1013, 0x55: 0x1013, 0x56: 0x1013, 0x57: 0x1013,
	0x58: 0x1013, 0x59: 0x1013, 0x5a: 0x1013,
	0x5e: 0x0004, 0x5f: 0x0010, 0x60: 0x0004, 0x61: 0x1012, 0x62: 0x1012, 0x63: 0x1012,
	0x64: 0x1012, 0x65: 0x1012, 0x66: 0x1012, 0x67: 0x1012, 0x68: 0x1012, 0x69: 0x1012,
	0x6a: 0x1012, 0x6b: 0x1012, 0x6c: 0x1012, 0x6d: 0x1012, 0x6e: 0x1012, 0x6f: 0x1012,
	0x70: 0x1012, 0x71: 0x1012, 0x72: 0x1012, 0x73: 0x1012, 0x74: 0x1012, 0x75: 0x1012,
	0x76: 0x1012, 0x77: 0x1012, 0x78: 0x1012, 0x79: 0x1012, 0x7a: 0x1012,
	// Block 0x2, offset 0x80
	// Block 0x3, offset 0xc0
	0xc0: 0x05d2, 0xc1: 0x0753, 0xc2: 0x0093, 0xc3: 0x0092, 0xc4: 0x0093, 0xc5: 0x0092,
	0xc6: 0x0753, 0xc7: 0x0793, 0xc8: 0x0792, 0xc9: 0x08d3, 0xca: 0x0a53, 0xcb: 0x0393,
	0xcc: 0x0392, 0xcd: 0x0012, 0xce: 0x0bd3, 0xcf: 0x0d53, 0xd0: 0x0ed3, 0xd1: 0x0193,
	0xd2: 0x0192, 0xd3: 0x1053, 0xd4: 0x11d3, 0xd5: 0x1352, 0xd6: 0x14d3, 0xd7: 0x14d3,
	0xd8: 0x0093, 0xd9: 0x0092, 0xda: 0x1652, 0xdb: 0x0012, 0xdc: 0x1053, 0xdd: 0x17d3,
	0xde: 0x1952, 0xdf: 0x1ad3, 0xe0: 0x0093, 0xe1: 0x0092, 0xe2: 0x0093, 0xe3: 0x0092,
	0xe4: 0x0093, 0xe5: 0x0092, 0xe6: 0x1c53, 0xe7: 0x0793, 0xe8: 0x0792, 0xe9: 0x1dd3,
	0xea: 0x0012, 0xeb: 0x0012, 0xec: 0x0093, 0xed: 0x0092, 0xee: 0x1c53, 0xef: 0x0f93,
	0xf0: 0x0f92, 0xf1: 0x1f53, 0xf2: 0x20d3, 0xf3: 0x0393, 0xf4: 0x0392, 0xf5: 0x0193,
	0xf6: 0x0192, 0xf7: 0x2253, 0xf8: 0x0093, 0xf9: 0x0092, 0xfa: 0x0012, 0xfb: 0x0010,
	0xfc: 0x0093, 0xfd: 0x0092, 0xfe: 0x0012, 0xff: 0x23d2,
	// Block 0x4, offset 0x100
	0x100: 0x0010, 0x101: 0x0010, 0x102: 0x0010, 0x103: 0x0010, 0x104: 0x02fb, 0x105: 0x03b9,
	0x106: 0x047a, 0x107: 0x053b, 0x108: 0x05f9, 0x109: 0x06ba, 0x10a: 0x077b, 0x10b: 0x0839,
	0x10c: 0x08fa, 0x10d: 0x0193, 0x10e: 0x0192, 0x10f: 0x0f93, 0x110: 0x0f92, 0x111: 0x0193,
	0x112: 0x0192, 0x113: 0x0393, 0x114: 0x0392, 0x115: 0x0193, 0x116: 0x0192, 0x117: 0x0793,
	0x118: 0x0792, 0x119: 0x0193, 0x11a: 0x0192, 0x11b: 0x0393, 0x11c: 0x0392, 0x11d: 0x0bd2,
	0x11e: 0x0093, 0x11f: 0x0092, 0x120: 0x0093, 0x121: 0x0092, 0x122: 0x0093, 0x123: 0x0092,
	0x124: 0x0093, 0x125: 0x0092, 0x126: 0x0093, 0x127: 0x0092, 0x128: 0x0093, 0x129: 0x0092,
	0x12a: 0x0093, 0x12b: 0x0092, 0x12c: 0x0093, 0x12d: 0x0092, 0x12e: 0x0093, 0x12f: 0x0092,
	0x130: 0x09ba, 0x131: 0x0a5b, 0x132: 0x0b19, 0x133: 0x0bda, 0x134: 0x0093, 0x135: 0x0092,
	0x136: 0x1353, 0x137: 0x23d3, 0x138: 0x0093, 0x139: 0x0092, 0x13a: 0x0093, 0x13b: 0x0092,
	0x13c: 0x0093, 0x13d: 0x0092, 0x13e: 0x0093, 0x13f: 0x0092,
	// Block 0x5, offset 0x140
	0x140: 0x0e7a, 0x141: 0x0193, 0x142: 0x0192, 0x143: 0x05d3, 0x144: 0x2553, 0x145: 0x26d3,
	0x146: 0x0093, 0x147: 0x0092, 0x148: 0x0093, 0x149: 0x0092, 0x14a: 0x0093, 0x14b: 0x0092,
	0x14c: 0x0093, 0x14d: 0x0092, 0x14e: 0x0093, 0x14f: 0x0092, 0x150: 0x0f1a, 0x151: 0x0fba,
	0x152: 0x105a, 0x153: 0x0752, 0x154: 0x0752, 0x155: 0x0012, 0x156: 0x08d2, 0x157: 0x0a52,
	0x158: 0x0012, 0x159: 0x0d52, 0x15a: 0x0012, 0x15b: 0x0ed2, 0x15c: 0x10fa, 0x15d: 0x0012,
	0x15e: 0x0012, 0x15f: 0x0012, 0x160: 0x1052, 0x161: 0x119a, 0x162: 0x0012, 0x163: 0x11d2,
	0x164: 0x0012, 0x165: 0x123a, 0x166: 0x12da, 0x167: 0x0012, 0x168: 0x14d2, 0x169: 0x14d2,
	0x16a: 0x0012, 0x16b: 0x137a, 0x16c: 0x141a, 0x16d: 0x0012, 0x16e: 0x0012, 0x16f: 0x1052,
	0x170: 0x0012, 0x171: 0x14ba, 0x172: 0x17d2, 0x173: 0x0012, 0x174: 0x0012, 0x175: 0x1ad2,
	0x176: 0x0012, 0x177: 0x0012, 0x178: 0x0012, 0x179: 0x0012, 0x17a: 0x0012, 0x17b: 0x0012,
	0x17c: 0x0012, 0x17d: 0x155a, 0x17e: 0x0012, 0x17f: 0x0012,
	// Block 0x6, offset 0x180
	0x180: 0x1c52, 0x181: 0x0012, 0x182: 0x0012, 0x183: 0x1dd2, 0x184: 0x0012, 0x185: 0x0012,
	0x186: 0x0012, 0x187: 0x15fa, 0x188: 0x1c52, 0x189: 0x2552, 0x18a: 0x1f52, 0x18b: 0x20d2,
	0x18c: 0x26d2, 0x18d: 0x0012, 0x18e: 0x0012, 0x18f: 0x0012, 0x190: 0x0012, 0x191: 0x0012,
	0x192: 0x2252, 0x193: 0x0012, 0x194: 0x0010, 0x195: 0x0012, 0x196: 0x0012, 0x197: 0x0012,
	0x198: 0x0012, 0x199: 0x0012, 0x19a: 0x0012, 0x19b: 0x0012, 0x19c: 0x0012, 0x19d: 0x169a,
	0x19e: 0x173a, 0x19f: 0x0012, 0x1a0: 0x0012, 0x1a1: 0x0012, 0x1a2: 0x0012, 0x1a3: 0x0012,
	0x1a4: 0x0012, 0x1a5: 0x0012, 0x1a6: 0x0012, 0x1a7: 0x0012, 0x1a8: 0x0012, 0x1a9: 0x0012,
	0x1aa: 0x0012, 0x1ab: 0x0012, 0x1ac: 0x0012, 0x1ad: 0x0012, 0x1ae: 0x0012, 0x1af: 0x0012,
	0x1b0: 0x0015, 0x1b1: 0x0015, 0x1b2: 0x0015, 0x1b3: 0x0015, 0x1b4: 0x0015, 0x1b5: 0x0015,
	0x1b6: 0x0015, 0x1b7: 0x0015, 0x1b8: 0x0015, 0x1b9: 0x0014, 0x1ba: 0x0014, 0x1bb: 0x0014,
	0x1bc: 0x0014, 0x1bd: 0x0014, 0x1be: 0x0014, 0x1bf: 0x0014,
	// Block 0x7, offset 0x1c0
	0x1c0: 0x0024, 0x1c1: 0x0024, 0x1c2: 0x0024, 0x1c3: 0x0024, 0x1c4: 0x0024, 0x1c5: 0x2875,
	0x1c6: 0x0024, 0x1c7: 0x0034, 0x1c8: 0x0034, 0x1c9: 0x0034, 0x1ca: 0x0024, 0x1cb: 0x0024,
	0x1cc: 0x0024, 0x1cd: 0x0034, 0x1ce: 0x0034, 0x1cf: 0x0014, 0x1d0: 0x0024, 0x1d1: 0x0024,
	0x1d2: 0x0024, 0x1d3: 0x0034, 0x1d4: 0x0034, 0x1d5: 0x0034, 0x1d6: 0x0034, 0x1d7: 0x0024,
	0x1d8: 0x0034, 0x1d9: 0x0034, 0x1da: 0x0034, 0x1db: 0x0024, 0x1dc: 0x0034, 0x1dd: 0x0034,
	0x1de: 0x0034, 0x1df: 0x0034, 0x1e0: 0x0034, 0x1e1: 0x0034, 0x1e2: 0x0034, 0x1e3: 0x0024,
	0x1e4: 0x0024, 0x1e5: 0x0024, 0x1e6: 0x0024, 0x1e7: 0x0024, 0x1e8: 0x0024, 0x1e9: 0x0024,
	0x1ea: 0x0024, 0x1eb: 0x0024, 0x1ec: 0x0024, 0x1ed: 0x0024, 0x1ee: 0x0024, 0x1ef: 0x0024,
	0x1f0: 0x0093, 0x1f1: 0x0092, 0x1f2: 0x0093, 0x1f3: 0x0092, 0x1f4: 0x0014, 0x1f5: 0x0004,
	0x1f6: 0x0093, 0x1f7: 0x0092, 0x1fa: 0x0015, 0x1fb: 0x29d2,
	0x1fc: 0x2b52, 0x1fd: 0x2b52, 0x1ff: 0x2cd3,
	// Block 0x8, offset 0x200
	0x204: 0x0004, 0x205: 0x0004,
	0x206: 0x1513, 0x207: 0x0014, 0x208: 0x1293, 0x209: 0x1393, 0x20a: 0x1293,
	0x20c: 0x2e53, 0x20e: 0x2fd3, 0x20f: 0x3153, 0x210: 0x17da, 0x211: 0x1013,
	0x212: 0x1013, 0x213: 0x1013, 0x214: 0x1013, 0x215: 0x1013, 0x216: 0x1013, 0x217: 0x1013,
	0x218: 0x1013, 0x219: 0x1013, 0x21a: 0x1013, 0x21b: 0x1013, 0x21c: 0x1013, 0x21d: 0x1013,
	0x21e: 0x1013, 0x21f: 0x1013, 0x220: 0x32d3, 0x221: 0x32d3, 0x223: 0x32d3,
	0x224: 0x32d3, 0x225: 0x32d3, 0x226: 0x32d3, 0x227: 0x32d3, 0x228: 0x32d3, 0x229: 0x32d3,
	0x22a: 0x32d3, 0x22b: 0x32d3, 0x22c: 0x1512, 0x22d: 0x1292, 0x22e: 0x1392, 0x22f: 0x1292,
	0x230: 0x18da, 0x231: 0x1012, 0x232: 0x1012, 0x233: 0x1012, 0x234: 0x1012, 0x235: 0x1012,
	0x236: 0x1012, 0x237: 0x1012, 0x238: 0x1012, 0x239: 0x1012, 0x23a: 0x1012, 0x23b: 0x1012,
	0x23c: 0x1012, 0x23d: 0x1012, 0x23e: 0x1012, 0x23f: 0x1012,
	// Block 0x9, offset 0x240
	0x240: 0x32d2, 0x241: 0x32d2, 0x242: 0x3452, 0x243: 0x32d2, 0x244: 0x32d2, 0x245: 0x32d2,
	0x246: 0x32d2, 0x247: 0x32d2, 0x248: 0x32d2, 0x249: 0x32d2, 0x24a: 0x32d2, 0x24b: 0x32d2,
	0x24c: 0x2e52, 0x24d: 0x2fd2, 0x24e: 0x3152, 0x24f: 0x0c13, 0x250: 0x35d2, 0x251: 0x3752,
	0x252: 0x0013, 0x253: 0x0013, 0x254: 0x0013, 0x255: 0x38d2, 0x256: 0x3a52, 0x257: 0x0c12,
	0x258: 0x0093, 0x259: 0x0092, 0x25a: 0x0093, 0x25b: 0x0092, 0x25c: 0x0093, 0x25d: 0x0092,
	0x25e: 0x0093, 0x25f: 0x0092, 0x260: 0x0093, 0x261: 0x0092, 0x262: 0x0093, 0x263: 0x0092,
	0x264: 0x0093, 0x265: 0x0092, 0x266: 0x0093, 0x267: 0x0092, 0x268: 0x0093, 0x269: 0x0092,
	0x26a: 0x0093, 0x26b: 0x0092, 0x26c: 0x0093, 0x26d: 0x0092, 0x26e: 0x0093, 0x26f: 0x0092,
	0x270: 0x3bd2, 0x271: 0x3d52, 0x272: 0x0592, 0x273: 0x2cd2, 0x274: 0x3ed3, 0x275: 0x32d2,
	0x277: 0x0793, 0x278: 0x0792, 0x279: 0x0593, 0x27a: 0x0093, 0x27b: 0x0092,
	0x27c: 0x0012, 0x27d: 0x29d3, 0x27e: 0x2b53, 0x27f: 0x2b53,
	// Block 0xa, offset 0x280
	0x280: 0x0412, 0x281: 0x0412, 0x282: 0x0412, 0x283: 0x0412, 0x284: 0x0412, 0x285: 0x0412,
	0x288: 0x0413, 0x289: 0x0413, 0x28a: 0x0413, 0x28b: 0x0413,
	0x28c: 0x0413, 0x28d: 0x0413, 0x290: 0x1eba, 0x291: 0x0412,
	0x292: 0x1f7a, 0x293: 0x0412, 0x294: 0x207a, 0x295: 0x0412, 0x296: 0x217a, 0x297: 0x0412,
	0x299: 0x0413, 0x29b: 0x0413, 0x29d: 0x0413,
	0x29f: 0x0413, 0x2a0: 0x0412, 0x2a1: 0x0412, 0x2a2: 0x0412, 0x2a3: 0x0412,
	0x2a4: 0x0412, 0x2a5: 0x0412, 0x2a6: 0x0412, 0x2a7: 0x0412, 0x2a8: 0x0413, 0x2a9: 0x0413,
	0x2aa: 0x0413, 0x2ab: 0x0413, 0x2ac: 0x0413, 0x2ad: 0x0413, 0x2ae: 0x0413, 0x2af: 0x0413,
	0x2b0: 0x5352, 0x2b1: 0x5352, 0x2b2: 0x54d2, 0x2b3: 0x54d2, 0x2b4: 0x5652, 0x2b5: 0x5652,
	0x2b6: 0x57d2, 0x2b7: 0x57d2, 0x2b8: 0x5952, 0x2b9: 0x5952, 0x2ba: 0x5ad2, 0x2bb: 0x5ad2,
	0x2bc: 0x29d2, 0x2bd: 0x29d2,
	// Block 0xb, offset 0x2c0
	0x2c0: 0x227a, 0x2c1: 0x23ba, 0x2c2: 0x24fa, 0x2c3: 0x263a, 0x2c4: 0x277a, 0x2c5: 0x28ba,
	0x2c6: 0x29fa, 0x2c7: 0x2b3a, 0x2c8: 0x2c79, 0x2c9: 0x2db9, 0x2ca: 0x2ef9, 0x2cb: 0x3039,
	0x2cc: 0x3179, 0x2cd: 0x32b9, 0x2ce: 0x33f9, 0x2cf: 0x3539, 0x2d0: 0x367a, 0x2d1: 0x37ba,
	0x2d2: 0x38fa, 0x2d3: 0x3a3a, 0x2d4: 0x3b7a, 0x2d5: 0x3cba, 0x2d6: 0x3dfa, 0x2d7: 0x3f3a,
	0x2d8: 0x4079, 0x2d9: 0x41b9, 0x2da: 0x42f9, 0x2db: 0x4439, 0x2dc: 0x4579, 0x2dd: 0x46b9,
	0x2de: 0x47f9, 0x2df: 0x4939, 0x2e0: 0x4a7a, 0x2e1: 0x4bba, 0x2e2: 0x4cfa, 0x2e3: 0x4e3a,
	0x2e4: 0x4f7a, 0x2e5: 0x50ba, 0x2e6: 0x51fa, 0x2e7: 0x533a, 0x2e8: 0x5479, 0x2e9: 0x55b9,
	0x2ea: 0x56f9, 0x2eb: 0x5839, 0x2ec: 0x5979, 0x2ed: 0x5ab9, 0x2ee: 0x5bf9, 0x2ef: 0x5d39,
	0x2f0: 0x0412, 0x2f1: 0x0412, 0x2f2: 0x5e7a, 0x2f3: 0x5ffa, 0x2f4: 0x611a,
	0x2f6: 0x625a, 0x2f7: 0x631a, 0x2f8: 0x0413, 0x2f9: 0x0413, 0x2fa: 0x5353, 0x2fb: 0x5353,
	0x2fc: 0x64d9, 0x2fd: 0x0004, 0x2fe: 0x65fa, 0x2ff: 0x0004,
	// Block 0xc, offset 0x300
	0x300: 0x0004, 0x301: 0x0004, 0x302: 0x667a, 0x303: 0x67fa, 0x304: 0x691a,
	0x306: 0x6a5a, 0x307: 0x6b1a, 0x308: 0x54d3, 0x309: 0x54d3, 0x30a: 0x5653, 0x30b: 0x5653,
	0x30c: 0x6cd9, 0x30d: 0x0004, 0x30e: 0x0004, 0x30f: 0x0004, 0x310: 0x0412, 0x311: 0x0412,
	0x312: 0x6dfa, 0x313: 0x6efa, 0x316: 0x6ffa, 0x317: 0x70ba,
	0x318: 0x0413, 0x319: 0x0413, 0x31a: 0x57d3, 0x31b: 0x57d3, 0x31d: 0x0004,
	0x31e: 0x0004, 0x31f: 0x0004, 0x320: 0x0412, 0x321: 0x0412, 0x322: 0x71ba, 0x323: 0x72ba,
	0x324: 0x73ba, 0x325: 0x0492, 0x326: 0x747a, 0x327: 0x753a, 0x328: 0x0413, 0x329: 0x0413,
	0x32a: 0x5ad3, 0x32b: 0x5ad3, 0x32c: 0x0493, 0x32d: 0x0004, 0x32e: 0x0004, 0x32f: 0x0004,
	0x332: 0x763a, 0x333: 0x77ba, 0x334: 0x78da,
	0x336: 0x7a1a, 0x337: 0x7ada, 0x338: 0x5953, 0x339: 0x5953, 0x33a: 0x29d3, 0x33b: 0x29d3,
	0x33c: 0x7c99, 0x33d: 0x0004, 0x33e: 0x0004,
	// Block 0xd, offset 0x340
	0x342: 0x0013,
	0x347: 0x0013, 0x34a: 0x0012, 0x34b: 0x0013,
	0x34c: 0x0013, 0x34d: 0x0013, 0x34e: 0x0012, 0x34f: 0x0012, 0x350: 0x0013, 0x351: 0x0013,
	0x352: 0x0013, 0x353: 0x0012, 0x355: 0x0013,
	0x359: 0x0013, 0x35a: 0x0013, 0x35b: 0x0013, 0x35c: 0x0013, 0x35d: 0x0013,
	0x364: 0x0013, 0x366: 0x7dbb, 0x368: 0x0013,
	0x36a: 0x7e3b, 0x36b: 0x7e9b, 0x36c: 0x0013, 0x36d: 0x0013, 0x36f: 0x0012,
	0x370: 0x0013, 0x371: 0x0013, 0x372: 0x5c53, 0x373: 0x0013, 0x374: 0x0012, 0x375: 0x0010,
	0x376: 0x0010, 0x377: 0x0010, 0x378: 0x0010, 0x379: 0x0012,
	0x37c: 0x0012, 0x37d: 0x0012, 0x37e: 0x0013, 0x37f: 0x0013,
	// Block 0xe, offset 0x380
	0x380: 0x0d13, 0x381: 0x0d13, 0x382: 0x0f13, 0x383: 0x0f13, 0x384: 0x0d13, 0x385: 0x0d13,
	0x386: 0x1313, 0x387: 0x1313, 0x388: 0x1513, 0x389: 0x1513, 0x38a: 0x1713, 0x38b: 0x1713,
	0x38c: 0x1513, 0x38d: 0x1513, 0x38e: 0x1313, 0x38f: 0x1313, 0x390: 0x5dd2, 0x391: 0x5dd2,
	0x392: 0x3bd2, 0x393: 0x3bd2, 0x394: 0x5f52, 0x395: 0x5f52, 0x396: 0x3bd2, 0x397: 0x3bd2,
	0x398: 0x5dd2, 0x399: 0x5dd2, 0x39a: 0x0d12, 0x39b: 0x0d12, 0x39c: 0x0f12, 0x39d: 0x0f12,
	0x39e: 0x0d12, 0x39f: 0x0d12, 0x3a0: 0x1312, 0x3a1: 0x1312, 0x3a2: 0x1512, 0x3a3: 0x1512,
	0x3a4: 0x1712, 0x3a5: 0x1712, 0x3a6: 0x1512, 0x3a7: 0x1512, 0x3a8: 0x1312, 0x3a9: 0x1312,
	// Block 0xf, offset 0x3c0
	0x3c0: 0x3d52, 0x3c1: 0x3d52, 0x3c2: 0x3d52, 0x3c3: 0x3d52, 0x3c4: 0x3d52, 0x3c5: 0x3d52,
	0x3c6: 0x3d52, 0x3c7: 0x3d52, 0x3c8: 0x3d52, 0x3c9: 0x3d52, 0x3ca: 0x3d52, 0x3cb: 0x3d52,
	0x3cc: 0x3d52, 0x3cd: 0x3d52, 0x3ce: 0x3d52, 0x3cf: 0x3d52, 0x3d0: 0x60d2, 0x3d1: 0x60d2,
	0x3d2: 0x60d2, 0x3d3: 0x60d2, 0x3d4: 0x60d2, 0x3d5: 0x60d2, 0x3d6: 0x60d2, 0x3d7: 0x60d2,
	0x3d8: 0x60d2, 0x3d9: 0x60d2, 0x3da: 0x60d2, 0x3db: 0x60d2, 0x3dc: 0x60d2, 0x3dd: 0x60d2,
	0x3de: 0x60d2, 0x3e0: 0x0093, 0x3e1: 0x0092, 0x3e2: 0x7f1b, 0x3e3: 0x5053,
	0x3e4: 0x7f9b, 0x3e5: 0x801a, 0x3e6: 0x809a, 0x3e7: 0x0793, 0x3e8: 0x0792, 0x3e9: 0x0193,
	0x3ea: 0x0192, 0x3eb: 0x0393, 0x3ec: 0x0392, 0x3ed: 0x811b, 0x3ee: 0x819b, 0x3ef: 0x821b,
	0x3f0: 0x829b, 0x3f1: 0x0012, 0x3f2: 0x0093, 0x3f3: 0x0092, 0x3f4: 0x0012, 0x3f5: 0x0193,
	0x3f6: 0x0192, 0x3f7: 0x0012, 0x3f8: 0x0012, 0x3f9: 0x0012, 0x3fa: 0x0012, 0x3fb: 0x0012,
	0x3fc: 0x0015, 0x3fd: 0x0015, 0x3fe: 0x831b, 0x3ff: 0x839b,
	// Block 0x10, offset 0x400
	0x400: 0x0093, 0x401: 0x0092, 0x402: 0x0093, 0x403: 0x0092, 0x404: 0x0093, 0x405: 0x0092,
	0x406: 0x0093, 0x407: 0x0092, 0x408: 0x0014, 0x409: 0x0004, 0x40a: 0x0004, 0x40b: 0x0393,
	0x40c: 0x0392, 0x40d: 0x841b, 0x40e: 0x0012, 0x40f: 0x0010, 0x410: 0x0093, 0x411: 0x0092,
	0x412: 0x0093, 0x413: 0x0092, 0x414: 0x0012, 0x415: 0x0012, 0x416: 0x0093, 0x417: 0x0092,
	0x418: 0x0093, 0x419: 0x0092, 0x41a: 0x0093, 0x41b: 0x0092, 0x41c: 0x0093, 0x41d: 0x0092,
	0x41e: 0x0093, 0x41f: 0x0092, 0x420: 0x0093, 0x421: 0x0092, 0x422: 0x0093, 0x423: 0x0092,
	0x424: 0x0093, 0x425: 0x0092, 0x426: 0x0093, 0x427: 0x0092, 0x428: 0x0093, 0x429: 0x0092,
	0x42a: 0x849b, 0x42b: 0x851b, 0x42c: 0x859b, 0x42d: 0x861b,
	0x430: 0x869b, 0x431: 0x871b, 0x432: 0x879b, 0x433: 0x6253, 0x434: 0x0093, 0x435: 0x0092,
	0x436: 0x0093, 0x437: 0x0092,
	// Block 0x11, offset 0x440
	0x440: 0x881a, 0x441: 0x88da, 0x442: 0x899a, 0x443: 0x8a5a, 0x444: 0x8b5a, 0x445: 0x8c5a,
	0x446: 0x8d1a,
	0x453: 0x8dda, 0x454: 0x8f1a, 0x455: 0x905a, 0x456: 0x919a, 0x457: 0x92da,
	0x45d: 0x0010,
	0x45e: 0x0034, 0x45f: 0x0010, 0x460: 0x0010, 0x461: 0x0010, 0x462: 0x0010, 0x463: 0x0010,
	0x464: 0x0010, 0x465: 0x0010, 0x466: 0x0010, 0x467: 0x0010, 0x468: 0x0010,
	0x46a: 0x0010, 0x46b: 0x0010, 0x46c: 0x0010, 0x46d: 0x0010, 0x46e: 0x0010, 0x46f: 0x0010,
	0x470: 0x0010, 0x471: 0x0010, 0x472: 0x0010, 0x473: 0x0010, 0x474: 0x0010, 0x475: 0x0010,
	0x476: 0x0010, 0x478: 0x0010, 0x479: 0x0010, 0x47a: 0x0010, 0x47b: 0x0010,
	0x47c: 0x0010, 0x47e: 0x0010,
	// Block 0x12, offset 0x480
	0x482: 0x0010,
	0x487: 0x0010, 0x489: 0x0010, 0x48b: 0x0010,
	0x48d: 0x0010, 0x48e: 0x0010, 0x48f: 0x0010, 0x491: 0x0010,
	0x492: 0x0010, 0x494: 0x0010, 0x497: 0x0010,
	0x499: 0x0010, 0x49b: 0x0010, 0x49d: 0x0010,
	0x49f: 0x0010, 0x4a1: 0x0010, 0x4a2: 0x0010,
	0x4a4: 0x0010, 0x4a7: 0x0010, 0x4a8: 0x0010, 0x4a9: 0x0010,
	0x4aa: 0x0010, 0x4ac: 0x0010, 0x4ad: 0x0010, 0x4ae: 0x0010, 0x4af: 0x0010,
	0x4b0: 0x0010, 0x4b1: 0x0010, 0x4b2: 0x0010, 0x4b4: 0x0010, 0x4b5: 0x0010,
	0x4b6: 0x0010, 0x4b7: 0x0010, 0x4b9: 0x0010, 0x4ba: 0x0010, 0x4bb: 0x0010,
	0x4bc: 0x0010, 0x4be: 0x0010,
}

// caseIndex: 25 blocks, 1600 entries, 3200 bytes
// Block 0 is the zero block.
var caseIndex = [1600]uint16{
	// Block 0x0, offset 0x0
	// Block 0x1, offset 0x40
	// Block 0x2, offset 0x80
	// Block 0x3, offset 0xc0
	0xc2: 0x11, 0xc3: 0x12, 0xc4: 0x13, 0xc5: 0x14, 0xc6: 0x01, 0xc7: 0x02,
	0xc8: 0x15, 0xc9: 0x03, 0xca: 0x04, 0xcb: 0x16, 0xcc: 0x17, 0xcd: 0x05, 0xce: 0x06, 0xcf: 0x07,
	0xd0: 0x18, 0xd1: 0x19, 0xd2: 0x1a, 0xd3: 0x1b, 0xd4: 0x1c, 0xd5: 0x1d, 0xd6: 0x1e, 0xd7: 0x1f,
	0xd8: 0x20, 0xd9: 0x21, 0xda: 0x22, 0xdb: 0x23, 0xdc: 0x24, 0xdd: 0x25, 0xde: 0x26, 0xdf: 0x27,
	0xe0: 0x02, 0xe1: 0x03, 0xe2: 0x04, 0xe3: 0x05,
	0xea: 0x06, 0xeb: 0x07, 0xec: 0x07, 0xed: 0x08, 0xef: 0x09,
	0xf0: 0x14, 0xf3: 0x16,
	// Block 0x4, offset 0x100
	0x120: 0x28, 0x121: 0x29, 0x122: 0x2a, 0x123: 0x2b, 0x124: 0x2c, 0x125: 0x2d, 0x126: 0x2e, 0x127: 0x2f,
	0x128: 0x30, 0x129: 0x31, 0x12a: 0x32, 0x12b: 0x33, 0x12c: 0x34, 0x12d: 0x35, 0x12e: 0x36, 0x12f: 0x37,
	0x130: 0x38, 0x131: 0x39, 0x132: 0x3a, 0x133: 0x3b, 0x134: 0x3c, 0x135: 0x3d, 0x136: 0x3e, 0x137: 0x3f,
	0x138: 0x40, 0x139: 0x41, 0x13a: 0x42, 0x13b: 0x43, 0x13c: 0x44, 0x13d: 0x45, 0x13e: 0x46, 0x13f: 0x47,
	// Block 0x5, offset 0x140
	0x140: 0x48, 0x141: 0x49, 0x142: 0x4a, 0x143: 0x4b, 0x144: 0x22, 0x145: 0x22, 0x146: 0x22, 0x147: 0x22,
	0x148: 0x22, 0x149: 0x4c, 0x14a: 0x4d, 0x14b: 0x4e, 0x14c: 0x4f, 0x14d: 0x50, 0x14e: 0x51, 0x14f: 0x52,
	0x150: 0x53, 0x151: 0x22, 0x152: 0x22, 0x153: 0x22, 0x154: 0x22, 0x155: 0x22, 0x156: 0x22, 0x157: 0x22,
	0x158: 0x22, 0x159: 0x54, 0x15a: 0x55, 0x15b: 0x56, 0x15c: 0x57, 0x15d: 0x58, 0x15e: 0x59, 0x15f: 0x5a,
	0x160: 0x5b, 0x161: 0x5c, 0x162: 0x5d, 0x163: 0x5e, 0x164: 0x5f, 0x165: 0x60, 0x167: 0x61,
	0x168: 0x62, 0x169: 0x63, 0x16a: 0x64, 0x16c: 0x65, 0x16d: 0x66, 0x16e: 0x67, 0x16f: 0x68,
	0x170: 0x69, 0x171: 0x6a, 0x173: 0x6b, 0x174: 0x6c, 0x175: 0x6d, 0x176: 0x6e, 0x177: 0x6f,
	0x178: 0x70, 0x179: 0x70, 0x17a: 0x71, 0x17b: 0x70, 0x17c: 0x72, 0x17d: 0x08, 0x17e: 0x09, 0x17f: 0x0a,
	// Block 0x6, offset 0x180
	0x180: 0x73, 0x181: 0x74, 0x182: 0x75, 0x183: 0x76, 0x184: 0x0b, 0x185: 0x77, 0x186: 0x78,
	0x192: 0x79, 0x193: 0x0c,
	0x1b0: 0x7a, 0x1b1: 0x0d, 0x1b2: 0x70, 0x1b3: 0x7b, 0x1b4: 0x7c, 0x1b5: 0x7d, 0x1b6: 0x7e, 0x1b7: 0x7f,
	0x1b8: 0x80,
	// Block 0x7, offset 0x1c0
	0x1c0: 0x81, 0x1c2: 0x82, 0x1c3: 0x83, 0x1c4: 0x84, 0x1c5: 0x22, 0x1c6: 0x85,
	// Block 0x8, offset 0x200
	0x200: 0x86, 0x201: 0x22, 0x202: 0x22, 0x203: 0x22, 0x204: 0x22, 0x205: 0x22, 0x206: 0x22, 0x207: 0x22,
	0x208: 0x22, 0x209: 0x22, 0x20a: 0x22, 0x20b: 0x22, 0x20c: 0x22, 0x20d: 0x22, 0x20e: 0x22, 0x20f: 0x22,
	0x210: 0x22, 0x211: 0x22, 0x212: 0x87, 0x213: 0x88, 0x214: 0x22, 0x215: 0x22, 0x216: 0x22, 0x217: 0x22,
	0x218: 0x89, 0x219: 0x8a, 0x21a: 0x8b, 0x21b: 0x8c, 0x21c: 0x8d, 0x21d: 0x8e, 0x21e: 0x0e, 0x21f: 0x8f,
	0x220: 0x90, 0x221: 0x91, 0x222: 0x22, 0x223: 0x92, 0x224: 0x93, 0x225: 0x94, 0x226: 0x95, 0x227: 0x96,
	0x228: 0x97, 0x229: 0x98, 0x22a: 0x99, 0x22b: 0x9a, 0x22c: 0x9b, 0x22d: 0x9c, 0x22e: 0x9d, 0x22f: 0x9e,
	0x230: 0x22, 0x231: 0x22, 0x232: 0x22, 0x233: 0x22, 0x234: 0x22, 0x235: 0x22, 0x236: 0x22, 0x237: 0x22,
	0x238: 0x22, 0x239: 0x22, 0x23a: 0x22, 0x23b: 0x22, 0x23c: 0x22, 0x23d: 0x22, 0x23e: 0x22, 0x23f: 0x22,
	// Block 0x9, offset 0x240
	0x240: 0x22, 0x241: 0x22, 0x242: 0x22, 0x243: 0x22, 0x244: 0x22, 0x245: 0x22, 0x246: 0x22, 0x247: 0x22,
	0x248: 0x22, 0x249: 0x22, 0x24a: 0x22, 0x24b: 0x22, 0x24c: 0x22, 0x24d: 0x22, 0x24e: 0x22, 0x24f: 0x22,
	0x250: 0x22, 0x251: 0x22, 0x252: 0x22, 0x253: 0x22, 0x254: 0x22, 0x255: 0x22, 0x256: 0x22, 0x257: 0x22,
	0x258: 0x22, 0x259: 0x22, 0x25a: 0x22, 0x25b: 0x22, 0x25c: 0x22, 0x25d: 0x22, 0x25e: 0x22, 0x25f: 0x22,
	0x260: 0x22, 0x261: 0x22, 0x262: 0x22, 0x263: 0x22, 0x264: 0x22, 0x265: 0x22, 0x266: 0x22, 0x267: 0x22,
	0x268: 0x22, 0x269: 0x22, 0x26a: 0x22, 0x26b: 0x22, 0x26c: 0x22, 0x26d: 0x22, 0x26e: 0x22, 0x26f: 0x22,
	0x270: 0x22, 0x271: 0x22, 0x272: 0x22, 0x273: 0x22, 0x274: 0x22, 0x275: 0x22, 0x276: 0x22, 0x277: 0x22,
	0x278: 0x22, 0x279: 0x22, 0x27a: 0x22, 0x27b: 0x22, 0x27c: 0x22, 0x27d: 0x22, 0x27e: 0x22, 0x27f: 0x22,
	// Block 0xa, offset 0x280
	0x280: 0x22, 0x281: 0x22, 0x282: 0x22, 0x283: 0x22, 0x284: 0x22, 0x285: 0x22, 0x286: 0x22, 0x287: 0x22,
	0x288: 0x22, 0x289: 0x22, 0x28a: 0x22, 0x28b: 0x22, 0x28c: 0x22, 0x28d: 0x22, 0x28e: 0x22, 0x28f: 0x22,
	0x290: 0x22, 0x291: 0x22, 0x292: 0x22, 0x293: 0x22, 0x294: 0x22, 0x295: 0x22, 0x296: 0x22, 0x297: 0x22,
	0x298: 0x22, 0x299: 0x22, 0x29a: 0x22, 0x29b: 0x22, 0x29c: 0x22, 0x29d: 0x22, 0x29e: 0x9f, 0x29f: 0xa0,
	// Block 0xb, offset 0x2c0
	0x2ec: 0x0f, 0x2ed: 0xa1, 0x2ee: 0xa2, 0x2ef: 0xa3,
	0x2f0: 0x22, 0x2f1: 0x22, 0x2f2: 0x22, 0x2f3: 0x22, 0x2f4: 0xa4, 0x2f5: 0xa5, 0x2f6: 0xa6, 0x2f7: 0xa7,
	0x2f8: 0xa8, 0x2f9: 0xa9, 0x2fa: 0x22, 0x2fb: 0xaa, 0x2fc: 0xab, 0x2fd: 0xac, 0x2fe: 0xad, 0x2ff: 0xae,
	// Block 0xc, offset 0x300
	0x300: 0xaf, 0x301: 0xb0, 0x302: 0x22, 0x303: 0xb1, 0x305: 0xb2, 0x307: 0xb3,
	0x30a: 0xb4, 0x30b: 0xb5, 0x30c: 0xb6, 0x30d: 0xb7, 0x30e: 0xb8, 0x30f: 0xb9,
	0x310: 0xba, 0x311: 0xbb, 0x312: 0xbc, 0x314: 0xbd, 0x315: 0xbe,
	0x318: 0x22, 0x319: 0x22, 0x31a: 0x22, 0x31b: 0x22, 0x31c: 0xbf, 0x31d: 0xc0,
	0x320: 0xc1, 0x321: 0xc2, 0x322: 0xc3, 0x323: 0xc4, 0x324: 0xc5, 0x326: 0xc6,
	0x328: 0xc7, 0x329: 0xc8, 0x32a: 0xc9, 0x32b: 0xca, 0x32c: 0x5e, 0x32d: 0xcb, 0x32e: 0xcc,
	0x330: 0x22, 0x331: 0xcd, 0x332: 0xce, 0x333: 0xcf,
	// Block 0xd, offset 0x340
	0x340: 0xd0, 0x341: 0xd1, 0x342: 0xd2, 0x343: 0xd3, 0x344: 0xd4, 0x345: 0xd5, 0x346: 0xd6, 0x347: 0xd7,
	0x348: 0xd8, 0x34a: 0xd9, 0x34b: 0xda, 0x34c: 0xdb, 0x34d: 0xdc,
	0x352: 0xdd, 0x353: 0xde, 0x356: 0xdf, 0x357: 0xe0,
	0x358: 0xe1, 0x359: 0xe2, 0x35a: 0xe3, 0x35b: 0xe4, 0x35c: 0xe5,
	0x362: 0xe6, 0x363: 0xe7,
	0x36b: 0xe8,
	// Block 0xe, offset 0x380
	0x380: 0x22, 0x381: 0x22, 0x382: 0x22, 0x383: 0x22, 0x384: 0x22, 0x385: 0x22, 0x386: 0x22, 0x387: 0x22,
	0x388: 0x22, 0x389: 0x22, 0x38a: 0x22, 0x38b: 0x22, 0x38c: 0x22, 0x38d: 0x22, 0x38e: 0xe9,
	0x390: 0x22, 0x391: 0xea, 0x392: 0x22, 0x393: 0x22, 0x394: 0x22, 0x395: 0xeb,
	// Block 0xf, offset 0x3c0
	0x3c0: 0x22, 0x3c1: 0x22, 0x3c2: 0x22, 0x3c3: 0x22, 0x3c4: 0x22, 0x3c5: 0x22, 0x3c6: 0x22, 0x3c7: 0x22,
	0x3c8: 0x22, 0x3c9: 0x22, 0x3ca: 0x22, 0x3cb: 0x22, 0x3cc: 0x22, 0x3cd: 0x22, 0x3ce: 0x22, 0x3cf: 0x22,
	0x3d0: 0xea,
	// Block 0x10, offset 0x400
	0x410: 0x22, 0x411: 0x22, 0x412: 0x22, 0x413: 0x22, 0x414: 0x22, 0x415: 0x22, 0x416: 0x22, 0x417: 0x22,
	0x418: 0x22, 0x419: 0xec,
	// Block 0x11, offset 0x440
	0x460: 0x22, 0x461: 0x22, 0x462: 0x22, 0x463: 0x22, 0x464: 0x22, 0x465: 0x22, 0x466: 0x22, 0x467: 0x22,
	0x468: 0xe8, 0x469: 0xed, 0x46b: 0xee, 0x46c: 0xef, 0x46d: 0xf0, 0x46e: 0xf1,
	0x47c: 0x22, 0x47d: 0xf2, 0x47e: 0xf3,
	// Block 0x12, offset 0x480
	0x4b0: 0x22, 0x4b1: 0xf4, 0x4b2: 0xf5,
	// Block 0x13, offset 0x4c0
	0x4c5: 0xf6, 0x4c6: 0xf7,
	0x4c9: 0xf8,
	0x4d0: 0xf9, 0x4d1: 0xfa, 0x4d2: 0xfb, 0x4d3: 0xfc, 0x4d4: 0xfd, 0x4d5: 0xfe, 0x4d6: 0xff, 0x4d7: 0x100,
	0x4d8: 0x101, 0x4d9: 0x102, 0x4da: 0x103, 0x4db: 0x104, 0x4dc: 0x105, 0x4dd: 0x106, 0x4de: 0x107, 0x4df: 0x108,
	0x4e8: 0x109, 0x4e9: 0x10a, 0x4ea: 0x10b,
	// Block 0x14, offset 0x500
	0x520: 0x22, 0x521: 0x22, 0x522: 0x22, 0x523: 0x10c,
	0x538: 0x10d, 0x539: 0x10, 0x53a: 0x10e,
	// Block 0x15, offset 0x540
	0x544: 0x10f, 0x545: 0x110, 0x546: 0x111,
	0x54f: 0x112,
	// Block 0x16, offset 0x580
	0x590: 0x0a, 0x591: 0x0b, 0x592: 0x0c, 0x593: 0x0d, 0x594: 0x0e, 0x596: 0x0f,
	0x59b: 0x10, 0x59d: 0x11, 0x59e: 0x12, 0x59f: 0x13,
	// Block 0x17, offset 0x5c0
	0x5c0: 0x113, 0x5c1: 0x114, 0x5c4: 0x114, 0x5c5: 0x114, 0x5c6: 0x114, 0x5c7: 0x115,
	// Block 0x18, offset 0x600
	0x620: 0x15,
}

// sparseOffsets: 262 entries, 524 bytes
var sparseOffsets = []uint16{0x0, 0x9, 0xf, 0x18, 0x24, 0x2e, 0x3a, 0x3d, 0x41, 0x44, 0x48, 0x52, 0x54, 0x59, 0x69, 0x70, 0x75, 0x83, 0x84, 0x92, 0xa1, 0xab, 0xae, 0xb4, 0xbc, 0xbe, 0xbf, 0xcb, 0xd1, 0xdf, 0xea, 0xf5, 0x100, 0x10c, 0x116, 0x121, 0x12c, 0x138, 0x144, 0x14c, 0x154, 0x15e, 0x168, 0x174, 0x17a, 0x185, 0x18a, 0x192, 0x195, 0x19a, 0x19e, 0x1a2, 0x1a9, 0x1b2, 0x1ba, 0x1bb, 0x1c4, 0x1cb, 0x1d3, 0x1d9, 0x1df, 0x1e4, 0x1e8, 0x1eb, 0x1ed, 0x1f0, 0x1f5, 0x1f6, 0x1f8, 0x1fa, 0x1fc, 0x203, 0x208, 0x20c, 0x215, 0x218, 0x21b, 0x21f, 0x220, 0x22b, 0x22c, 0x22d, 0x232, 0x23f, 0x247, 0x24f, 0x258, 0x261, 0x26a, 0x26f, 0x272, 0x27f, 0x281, 0x288, 0x28a, 0x294, 0x295, 0x2a0, 0x2a8, 0x2af, 0x2b5, 0x2b6, 0x2c4, 0x2c9, 0x2cc, 0x2d1, 0x2d5, 0x2db, 0x2e0, 0x2e3, 0x2e8, 0x2ed, 0x2ee, 0x2f4, 0x2f6, 0x2f7, 0x2f9, 0x2fb, 0x2fe, 0x2ff, 0x301, 0x304, 0x30a, 0x30e, 0x310, 0x316, 0x31d, 0x321, 0x32a, 0x32b, 0x332, 0x336, 0x33b, 0x343, 0x349, 0x34f, 0x359, 0x35e, 0x367, 0x36d, 0x374, 0x378, 0x380, 0x382, 0x384, 0x387, 0x389, 0x38b, 0x38c, 0x38d, 0x38f, 0x391, 0x397, 0x39c, 0x39e, 0x3a4, 0x3a7, 0x3a9, 0x3af, 0x3b4, 0x3b6, 0x3b7, 0x3b8, 0x3b9, 0x3bb, 0x3bd, 0x3bf, 0x3c2, 0x3c4, 0x3c7, 0x3cf, 0x3d2, 0x3d4, 0x3d6, 0x3d7, 0x3d8, 0x3da, 0x3e0, 0x3e2, 0x3e3, 0x3e5, 0x3e7, 0x3e9, 0x3f6, 0x3f7, 0x3f8, 0x3fc, 0x3fe, 0x3ff, 0x400, 0x401, 0x402, 0x406, 0x40a, 0x410, 0x412, 0x419, 0x41c, 0x420, 0x426, 0x42e, 0x434, 0x43a, 0x444, 0x44e, 0x454, 0x45a, 0x460, 0x463, 0x469, 0x46c, 0x474, 0x475, 0x47c, 0x47d, 0x480, 0x481, 0x482, 0x483, 0x484, 0x485, 0x487, 0x489, 0x48b, 0x48f, 0x490, 0x492, 0x493, 0x495, 0x49a, 0x49f, 0x4a3, 0x4a4, 0x4a7, 0x4ab, 0x4b6, 0x4ba, 0x4c2, 0x4c7, 0x4cb, 0x4ce, 0x4d2, 0x4d5, 0x4d8, 0x4dd, 0x4e1, 0x4e5, 0x4e9, 0x4ed, 0x4ef, 0x4f1, 0x4f4, 0x4f6, 0x4ff, 0x504, 0x505, 0x508, 0x509, 0x50a, 0x50c, 0x50d, 0x50e}

// sparseValues: 1294 entries, 5176 bytes
var sparseValues = [1294]valueRange{
	// Block 0x0, offset 0x0
	{value: 0x0004, lo: 0xa8, hi: 0xa8},
	{value: 0x0012, lo: 0xaa, hi: 0xaa},
	{value: 0x0014, lo: 0xad, hi: 0xad},
	{value: 0x0004, lo: 0xaf, hi: 0xaf},
	{value: 0x0004, lo: 0xb4, hi: 0xb4},
	{value: 0x0152, lo: 0xb5, hi: 0xb5},
	{value: 0x0014, lo: 0xb7, hi: 0xb7},
	{value: 0x0004, lo: 0xb8, hi: 0xb8},
	{value: 0x0012, lo: 0xba, hi: 0xba},
	// Block 0x1, offset 0x9
	{value: 0x1013, lo: 0x80, hi: 0x96},
	{value: 0x1013, lo: 0x98, hi: 0x9e},
	{value: 0x003a, lo: 0x9f, hi: 0x9f},
	{value: 0x1012, lo: 0xa0, hi: 0xb6},
	{value: 0x1012, lo: 0xb8, hi: 0xbe},
	{value: 0x02d2, lo: 0xbf, hi: 0xbf},
	// Block 0x2, offset 0xf
	{value: 0x0097, lo: 0x80, hi: 0xaf},
	{value: 0x00fb, lo: 0xb0, hi: 0xb0},
	{value: 0x019a, lo: 0xb1, hi: 0xb1},
	{value: 0x0097, lo: 0xb2, hi: 0xb7},
	{value: 0x0012, lo: 0xb8, hi: 0xb8},
	{value: 0x0196, lo: 0xb9, hi: 0xba},
	{value: 0x0396, lo: 0xbb, hi: 0xbc},
	{value: 0x0196, lo: 0xbd, hi: 0xbe},
	{value: 0x0453, lo: 0xbf, hi: 0xbf},
	// Block 0x3, offset 0x18
	{value: 0x0452, lo: 0x80, hi: 0x80},
	{value: 0x0196, lo: 0x81, hi: 0x82},
	{value: 0x0396, lo: 0x83, hi: 0x84},
	{value: 0x0196, lo: 0x85, hi: 0x86},
	{value: 0x0796, lo: 0x87, hi: 0x88},
	{value: 0x01fa, lo: 0x89, hi: 0x89},
	{value: 0x0097, lo: 0x8a, hi: 0xb7},
	{value: 0x02d3, lo: 0xb8, hi: 0xb8},
	{value: 0x0196, lo: 0xb9, hi: 0xba},
	{value: 0x0396, lo: 0xbb, hi: 0xbc},
	{value: 0x0196, lo: 0xbd, hi: 0xbe},
	{value: 0x029a, lo: 0xbf, hi: 0xbf},
	// Block 0x4, offset 0x24
	{value: 0x0097, lo: 0x80, hi: 0x9f},
	{value: 0x1953, lo: 0xa0, hi: 0xa0},
	{value: 0x0012, lo: 0xa1, hi: 0xa1},
	{value: 0x0097, lo: 0xa2, hi: 0xb3},
	{value: 0x0012, lo: 0xb4, hi: 0xb9},
	{value: 0x0c9b, lo: 0xba, hi: 0xba},
	{value: 0x0396, lo: 0xbb, hi: 0xbc},
	{value: 0x1653, lo: 0xbd, hi: 0xbd},
	{value: 0x0d3b, lo: 0xbe, hi: 0xbe},
	{value: 0x0dda, lo: 0xbf, hi: 0xbf},
	// Block 0x5, offset 0x2e
	{value: 0x0015, lo: 0x80, hi: 0x81},
	{value: 0x0004, lo: 0x82, hi: 0x85},
	{value: 0x0014, lo: 0x86, hi: 0x91},
	{value: 0x0004, lo: 0x92, hi: 0x96},
	{value: 0x0014, lo: 0x97, hi: 0x97},
	{value: 0x0004, lo: 0x98, hi: 0x9f},
	{value: 0x0015, lo: 0xa0, hi: 0xa4},
	{value: 0x0004, lo: 0xa5, hi: 0xab},
	{value: 0x0014, lo: 0xac, hi: 0xac},
	{value: 0x0004, lo: 0xad, hi: 0xad},
	{value: 0x0014, lo: 0xae, hi: 0xae},
	{value: 0x0004, lo: 0xaf, hi: 0xbf},
	// Block 0x6, offset 0x3a
	{value: 0x0024, lo: 0x80, hi: 0x94},
	{value: 0x0034, lo: 0x95, hi: 0xbc},
	{value: 0x0024, lo: 0xbd, hi: 0xbf},
	// Block 0x7, offset 0x3d
	{value: 0x3d53, lo: 0x80, hi: 0x8f},
	{value: 0x1013, lo: 0x90, hi: 0x9f},
	{value: 0x32d3, lo: 0xa0, hi: 0xaf},
	{value: 0x1012, lo: 0xb0, hi: 0xbf},
	// Block 0x8, offset 0x41
	{value: 0x32d2, lo: 0x80, hi: 0x8f},
	{value: 0x3d52, lo: 0x90, hi: 0x9f},
	{value: 0x0097, lo: 0xa0, hi: 0xbf},
	// Block 0x9, offset 0x44
	{value: 0x0097, lo: 0x80, hi: 0x81},
	{value: 0x0024, lo: 0x83, hi: 0x87},
	{value: 0x0014, lo: 0x88, hi: 0x89},
	{value: 0x0097, lo: 0x8a, hi: 0xbf},
	// Block 0xa, offset 0x48
	{value: 0x0793, lo: 0x80, hi: 0x80},
	{value: 0x0196, lo: 0x81, hi: 0x82},
	{value: 0x0396, lo: 0x83, hi: 0x84},
	{value: 0x0196, lo: 0x85, hi: 0x86},
	{value: 0x0796, lo: 0x87, hi: 0x88},
	{value: 0x0196, lo: 0x89, hi: 0x8a},
	{value: 0x0396, lo: 0x8b, hi: 0x8c},
	{value: 0x0196, lo: 0x8d, hi: 0x8e},
	{value: 0x0792, lo: 0x8f, hi: 0x8f},
	{value: 0x0097, lo: 0x90, hi: 0xbf},
	// Block 0xb, offset 0x52
	{value: 0x0097, lo: 0x80, hi: 0xaf},
	{value: 0x3d53, lo: 0xb1, hi: 0xbf},
	// Block 0xc, offset 0x54
	{value: 0x1813, lo: 0x80, hi: 0x8f},
	{value: 0x4053, lo: 0x90, hi: 0x96},
	{value: 0x0014, lo: 0x99, hi: 0x99},
	{value: 0x3d52, lo: 0xa1, hi: 0xaf},
	{value: 0x1812, lo: 0xb0, hi: 0xbf},
	// Block 0xd, offset 0x59
	{value: 0x4052, lo: 0x80, hi: 0x86},
	{value: 0x19da, lo: 0x87, hi: 0x87},
	{value: 0x0034, lo: 0x91, hi: 0x91},
	{value: 0x0024, lo: 0x92, hi: 0x95},
	{value: 0x0034, lo: 0x96, hi: 0x96},
	{value: 0x0024, lo: 0x97, hi: 0x99},
	{value: 0x0034, lo: 0x9a, hi: 0x9b},
	{value: 0x0024, lo: 0x9c, hi: 0xa1},
	{value: 0x0034, lo: 0xa2, hi: 0xa7},
	{value: 0x0024, lo: 0xa8, hi: 0xa9},
	{value: 0x0034, lo: 0xaa, hi: 0xaa},
	{value: 0x0024, lo: 0xab, hi: 0xac},
	{value: 0x0034, lo: 0xad, hi: 0xae},
	{value: 0x0024, lo: 0xaf, hi: 0xaf},
	{value: 0x0034, lo: 0xb0, hi: 0xbd},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0xe, offset 0x69
	{value: 0x0034, lo: 0x81, hi: 0x82},
	{value: 0x0024, lo: 0x84, hi: 0x84},
	{value: 0x0034, lo: 0x85, hi: 0x85},
	{value: 0x0034, lo: 0x87, hi: 0x87},
	{value: 0x0010, lo: 0x90, hi: 0xaa},
	{value: 0x0010, lo: 0xb0, hi: 0xb3},
	{value: 0x0014, lo: 0xb4, hi: 0xb4},
	// Block 0xf, offset 0x70
	{value: 0x0014, lo: 0x80, hi: 0x85},
	{value: 0x0024, lo: 0x90, hi: 0x97},
	{value: 0x0034, lo: 0x98, hi: 0x9a},
	{value: 0x0014, lo: 0x9c, hi: 0x9c},
	{value: 0x0010, lo: 0xa0, hi: 0xbf},
	// Block 0x10, offset 0x75
	{value: 0x0014, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x81, hi: 0x8a},
	{value: 0x0034, lo: 0x8b, hi: 0x92},
	{value: 0x0024, lo: 0x93, hi: 0x94},
	{value: 0x0034, lo: 0x95, hi: 0x96},
	{value: 0x0024, lo: 0x97, hi: 0x9b},
	{value: 0x0034, lo: 0x9c, hi: 0x9c},
	{value: 0x0024, lo: 0x9d, hi: 0x9e},
	{value: 0x0034, lo: 0x9f, hi: 0x9f},
	{value: 0x0010, lo: 0xa0, hi: 0xa9},
	{value: 0x0010, lo: 0xab, hi: 0xab},
	{value: 0x0010, lo: 0xae, hi: 0xaf},
	{value: 0x0034, lo: 0xb0, hi: 0xb0},
	{value: 0x0010, lo: 0xb1, hi: 0xbf},
	// Block 0x11, offset 0x83
	{value: 0x0010, lo: 0x80, hi: 0xbf},
	// Block 0x12, offset 0x84
	{value: 0x0010, lo: 0x80, hi: 0x93},
	{value: 0x0010, lo: 0x95, hi: 0x95},
	{value: 0x0024, lo: 0x96, hi: 0x9c},
	{value: 0x0014, lo: 0x9d, hi: 0x9d},
	{value: 0x0024, lo: 0x9f, hi: 0xa2},
	{value: 0x0034, lo: 0xa3, hi: 0xa3},
	{value: 0x0024, lo: 0xa4, hi: 0xa4},
	{value: 0x0014, lo: 0xa5, hi: 0xa6},
	{value: 0x0024, lo: 0xa7, hi: 0xa8},
	{value: 0x0034, lo: 0xaa, hi: 0xaa},
	{value: 0x0024, lo: 0xab, hi: 0xac},
	{value: 0x0034, lo: 0xad, hi: 0xad},
	{value: 0x0010, lo: 0xae, hi: 0xbc},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0x13, offset 0x92
	{value: 0x0014, lo: 0x8f, hi: 0x8f},
	{value: 0x0010, lo: 0x90, hi: 0x90},
	{value: 0x0034, lo: 0x91, hi: 0x91},
	{value: 0x0010, lo: 0x92, hi: 0xaf},
	{value: 0x0024, lo: 0xb0, hi: 0xb0},
	{value: 0x0034, lo: 0xb1, hi: 0xb1},
	{value: 0x0024, lo: 0xb2, hi: 0xb3},
	{value: 0x0034, lo: 0xb4, hi: 0xb4},
	{value: 0x0024, lo: 0xb5, hi: 0xb6},
	{value: 0x0034, lo: 0xb7, hi: 0xb9},
	{value: 0x0024, lo: 0xba, hi: 0xba},
	{value: 0x0034, lo: 0xbb, hi: 0xbc},
	{value: 0x0024, lo: 0xbd, hi: 0xbd},
	{value: 0x0034, lo: 0xbe, hi: 0xbe},
	{value: 0x0024, lo: 0xbf, hi: 0xbf},
	// Block 0x14, offset 0xa1
	{value: 0x0024, lo: 0x80, hi: 0x81},
	{value: 0x0034, lo: 0x82, hi: 0x82},
	{value: 0x0024, lo: 0x83, hi: 0x83},
	{value: 0x0034, lo: 0x84, hi: 0x84},
	{value: 0x0024, lo: 0x85, hi: 0x85},
	{value: 0x0034, lo: 0x86, hi: 0x86},
	{value: 0x0024, lo: 0x87, hi: 0x87},
	{value: 0x0034, lo: 0x88, hi: 0x88},
	{value: 0x0024, lo: 0x89, hi: 0x8a},
	{value: 0x0010, lo: 0x8d, hi: 0xbf},
	// Block 0x15, offset 0xab
	{value: 0x0010, lo: 0x80, hi: 0xa5},
	{value: 0x0014, lo: 0xa6, hi: 0xb0},
	{value: 0x0010, lo: 0xb1, hi: 0xb1},
	// Block 0x16, offset 0xae
	{value: 0x0010, lo: 0x80, hi: 0xaa},
	{value: 0x0024, lo: 0xab, hi: 0xb1},
	{value: 0x0034, lo: 0xb2, hi: 0xb2},
	{value: 0x0024, lo: 0xb3, hi: 0xb3},
	{value: 0x0014, lo: 0xb4, hi: 0xb5},
	{value: 0x0014, lo: 0xba, hi: 0xba},
	// Block 0x17, offset 0xb4
	{value: 0x0010, lo: 0x80, hi: 0x95},
	{value: 0x0024, lo: 0x96, hi: 0x99},
	{value: 0x0014, lo: 0x9a, hi: 0x9a},
	{value: 0x0024, lo: 0x9b, hi: 0xa3},
	{value: 0x0014, lo: 0xa4, hi: 0xa4},
	{value: 0x0024, lo: 0xa5, hi: 0xa7},
	{value: 0x0014, lo: 0xa8, hi: 0xa8},
	{value: 0x0024, lo: 0xa9, hi: 0xad},
	// Block 0x18, offset 0xbc
	{value: 0x0010, lo: 0x80, hi: 0x98},
	{value: 0x0034, lo: 0x99, hi: 0x9b},
	// Block 0x19, offset 0xbe
	{value: 0x0010, lo: 0xa0, hi: 0xb4},
	// Block 0x1a, offset 0xbf
	{value: 0x0034, lo: 0xa3, hi: 0xa3},
	{value: 0x0024, lo: 0xa4, hi: 0xa5},
	{value: 0x0034, lo: 0xa6, hi: 0xa6},
	{value: 0x0024, lo: 0xa7, hi: 0xa8},
	{value: 0x0034, lo: 0xa9, hi: 0xa9},
	{value: 0x0024, lo: 0xaa, hi: 0xac},
	{value: 0x0034, lo: 0xad, hi: 0xb2},
	{value: 0x0024, lo: 0xb3, hi: 0xb5},
	{value: 0x0034, lo: 0xb6, hi: 0xb6},
	{value: 0x0024, lo: 0xb7, hi: 0xb8},
	{value: 0x0034, lo: 0xb9, hi: 0xba},
	{value: 0x0024, lo: 0xbb, hi: 0xbf},
	// Block 0x1b, offset 0xcb
	{value: 0x0014, lo: 0x80, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0xb9},
	{value: 0x0014, lo: 0xba, hi: 0xba},
	{value: 0x0010, lo: 0xbb, hi: 0xbb},
	{value: 0x0034, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0x1c, offset 0xd1
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x88},
	{value: 0x0010, lo: 0x89, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x8e, hi: 0x90},
	{value: 0x0024, lo: 0x91, hi: 0x91},
	{value: 0x0034, lo: 0x92, hi: 0x92},
	{value: 0x0024, lo: 0x93, hi: 0x94},
	{value: 0x0014, lo: 0x95, hi: 0x97},
	{value: 0x0010, lo: 0x98, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa3},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0014, lo: 0xb1, hi: 0xb1},
	{value: 0x0010, lo: 0xb2, hi: 0xbf},
	// Block 0x1d, offset 0xdf
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8c},
	{value: 0x0010, lo: 0x8f, hi: 0x90},
	{value: 0x0010, lo: 0x93, hi: 0xa8},
	{value: 0x0010, lo: 0xaa, hi: 0xb0},
	{value: 0x0010, lo: 0xb2, hi: 0xb2},
	{value: 0x0010, lo: 0xb6, hi: 0xb9},
	{value: 0x0034, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0x1e, offset 0xea
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x84},
	{value: 0x0010, lo: 0x87, hi: 0x88},
	{value: 0x0010, lo: 0x8b, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x8e, hi: 0x8e},
	{value: 0x0010, lo: 0x97, hi: 0x97},
	{value: 0x0010, lo: 0x9c, hi: 0x9d},
	{value: 0x0010, lo: 0x9f, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa3},
	{value: 0x0010, lo: 0xa6, hi: 0xb1},
	// Block 0x1f, offset 0xf5
	{value: 0x0014, lo: 0x81, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8a},
	{value: 0x0010, lo: 0x8f, hi: 0x90},
	{value: 0x0010, lo: 0x93, hi: 0xa8},
	{value: 0x0010, lo: 0xaa, hi: 0xb0},
	{value: 0x0010, lo: 0xb2, hi: 0xb3},
	{value: 0x0010, lo: 0xb5, hi: 0xb6},
	{value: 0x0010, lo: 0xb8, hi: 0xb9},
	{value: 0x0034, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbe, hi: 0xbf},
	// Block 0x20, offset 0x100
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x82},
	{value: 0x0014, lo: 0x87, hi: 0x88},
	{value: 0x0014, lo: 0x8b, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0014, lo: 0x91, hi: 0x91},
	{value: 0x0010, lo: 0x99, hi: 0x9c},
	{value: 0x0010, lo: 0x9e, hi: 0x9e},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0014, lo: 0xb0, hi: 0xb1},
	{value: 0x0010, lo: 0xb2, hi: 0xb4},
	{value: 0x0014, lo: 0xb5, hi: 0xb5},
	// Block 0x21, offset 0x10c
	{value: 0x0014, lo: 0x81, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8d},
	{value: 0x0010, lo: 0x8f, hi: 0x91},
	{value: 0x0010, lo: 0x93, hi: 0xa8},
	{value: 0x0010, lo: 0xaa, hi: 0xb0},
	{value: 0x0010, lo: 0xb2, hi: 0xb3},
	{value: 0x0010, lo: 0xb5, hi: 0xb9},
	{value: 0x0034, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0x22, offset 0x116
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x85},
	{value: 0x0014, lo: 0x87, hi: 0x88},
	{value: 0x0010, lo: 0x89, hi: 0x89},
	{value: 0x0010, lo: 0x8b, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0x90},
	{value: 0x0010, lo: 0xa0, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa3},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0010, lo: 0xb9, hi: 0xb9},
	// Block 0x23, offset 0x121
	{value: 0x0014, lo: 0x81, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8c},
	{value: 0x0010, lo: 0x8f, hi: 0x90},
	{value: 0x0010, lo: 0x93, hi: 0xa8},
	{value: 0x0010, lo: 0xaa, hi: 0xb0},
	{value: 0x0010, lo: 0xb2, hi: 0xb3},
	{value: 0x0010, lo: 0xb5, hi: 0xb9},
	{value: 0x0034, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbe},
	{value: 0x0014, lo: 0xbf, hi: 0xbf},
	// Block 0x24, offset 0x12c
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x84},
	{value: 0x0010, lo: 0x87, hi: 0x88},
	{value: 0x0010, lo: 0x8b, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0014, lo: 0x96, hi: 0x96},
	{value: 0x0010, lo: 0x97, hi: 0x97},
	{value: 0x0010, lo: 0x9c, hi: 0x9d},
	{value: 0x0010, lo: 0x9f, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa3},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0010, lo: 0xb1, hi: 0xb1},
	// Block 0x25, offset 0x138
	{value: 0x0014, lo: 0x82, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8a},
	{value: 0x0010, lo: 0x8e, hi: 0x90},
	{value: 0x0010, lo: 0x92, hi: 0x95},
	{value: 0x0010, lo: 0x99, hi: 0x9a},
	{value: 0x0010, lo: 0x9c, hi: 0x9c},
	{value: 0x0010, lo: 0x9e, hi: 0x9f},
	{value: 0x0010, lo: 0xa3, hi: 0xa4},
	{value: 0x0010, lo: 0xa8, hi: 0xaa},
	{value: 0x0010, lo: 0xae, hi: 0xb9},
	{value: 0x0010, lo: 0xbe, hi: 0xbf},
	// Block 0x26, offset 0x144
	{value: 0x0014, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x81, hi: 0x82},
	{value: 0x0010, lo: 0x86, hi: 0x88},
	{value: 0x0010, lo: 0x8a, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0x90},
	{value: 0x0010, lo: 0x97, hi: 0x97},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	// Block 0x27, offset 0x14c
	{value: 0x0014, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x81, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8c},
	{value: 0x0010, lo: 0x8e, hi: 0x90},
	{value: 0x0010, lo: 0x92, hi: 0xa8},
	{value: 0x0010, lo: 0xaa, hi: 0xb9},
	{value: 0x0010, lo: 0xbd, hi: 0xbd},
	{value: 0x0014, lo: 0xbe, hi: 0xbf},
	// Block 0x28, offset 0x154
	{value: 0x0014, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x81, hi: 0x84},
	{value: 0x0014, lo: 0x86, hi: 0x88},
	{value: 0x0014, lo: 0x8a, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0034, lo: 0x95, hi: 0x96},
	{value: 0x0010, lo: 0x98, hi: 0x9a},
	{value: 0x0010, lo: 0xa0, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa3},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	// Block 0x29, offset 0x15e
	{value: 0x0014, lo: 0x81, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8c},
	{value: 0x0010, lo: 0x8e, hi: 0x90},
	{value: 0x0010, lo: 0x92, hi: 0xa8},
	{value: 0x0010, lo: 0xaa, hi: 0xb3},
	{value: 0x0010, lo: 0xb5, hi: 0xb9},
	{value: 0x0034, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbe},
	{value: 0x0014, lo: 0xbf, hi: 0xbf},
	// Block 0x2a, offset 0x168
	{value: 0x0010, lo: 0x80, hi: 0x84},
	{value: 0x0014, lo: 0x86, hi: 0x86},
	{value: 0x0010, lo: 0x87, hi: 0x88},
	{value: 0x0010, lo: 0x8a, hi: 0x8b},
	{value: 0x0014, lo: 0x8c, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x95, hi: 0x96},
	{value: 0x0010, lo: 0x9e, hi: 0x9e},
	{value: 0x0010, lo: 0xa0, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa3},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0010, lo: 0xb1, hi: 0xb2},
	// Block 0x2b, offset 0x174
	{value: 0x0014, lo: 0x81, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8c},
	{value: 0x0010, lo: 0x8e, hi: 0x90},
	{value: 0x0010, lo: 0x92, hi: 0xba},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0x2c, offset 0x17a
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x84},
	{value: 0x0010, lo: 0x86, hi: 0x88},
	{value: 0x0010, lo: 0x8a, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x8e, hi: 0x8e},
	{value: 0x0010, lo: 0x97, hi: 0x97},
	{value: 0x0010, lo: 0x9f, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa3},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0010, lo: 0xba, hi: 0xbf},
	// Block 0x2d, offset 0x185
	{value: 0x0010, lo: 0x82, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x96},
	{value: 0x0010, lo: 0x9a, hi: 0xb1},
	{value: 0x0010, lo: 0xb3, hi: 0xbb},
	{value: 0x0010, lo: 0xbd, hi: 0xbd},
	// Block 0x2e, offset 0x18a
	{value: 0x0010, lo: 0x80, hi: 0x86},
	{value: 0x0034, lo: 0x8a, hi: 0x8a},
	{value: 0x0010, lo: 0x8f, hi: 0x91},
	{value: 0x0014, lo: 0x92, hi: 0x94},
	{value: 0x0014, lo: 0x96, hi: 0x96},
	{value: 0x0010, lo: 0x98, hi: 0x9f},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0010, lo: 0xb2, hi: 0xb3},
	// Block 0x2f, offset 0x192
	{value: 0x0014, lo: 0xb1, hi: 0xb1},
	{value: 0x0014, lo: 0xb4, hi: 0xb7},
	{value: 0x0034, lo: 0xb8, hi: 0xba},
	// Block 0x30, offset 0x195
	{value: 0x0004, lo: 0x86, hi: 0x86},
	{value: 0x0014, lo: 0x87, hi: 0x87},
	{value: 0x0034, lo: 0x88, hi: 0x8b},
	{value: 0x0014, lo: 0x8c, hi: 0x8e},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	// Block 0x31, offset 0x19a
	{value: 0x0014, lo: 0xb1, hi: 0xb1},
	{value: 0x0014, lo: 0xb4, hi: 0xb7},
	{value: 0x0034, lo: 0xb8, hi: 0xb9},
	{value: 0x0014, lo: 0xbb, hi: 0xbc},
	// Block 0x32, offset 0x19e
	{value: 0x0004, lo: 0x86, hi: 0x86},
	{value: 0x0034, lo: 0x88, hi: 0x8b},
	{value: 0x0014, lo: 0x8c, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	// Block 0x33, offset 0x1a2
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0034, lo: 0x98, hi: 0x99},
	{value: 0x0010, lo: 0xa0, hi: 0xa9},
	{value: 0x0034, lo: 0xb5, hi: 0xb5},
	{value: 0x0034, lo: 0xb7, hi: 0xb7},
	{value: 0x0034, lo: 0xb9, hi: 0xb9},
	{value: 0x0010, lo: 0xbe, hi: 0xbf},
	// Block 0x34, offset 0x1a9
	{value: 0x0010, lo: 0x80, hi: 0x87},
	{value: 0x0010, lo: 0x89, hi: 0xac},
	{value: 0x0034, lo: 0xb1, hi: 0xb2},
	{value: 0x0014, lo: 0xb3, hi: 0xb3},
	{value: 0x0034, lo: 0xb4, hi: 0xb4},
	{value: 0x0014, lo: 0xb5, hi: 0xb9},
	{value: 0x0034, lo: 0xba, hi: 0xbd},
	{value: 0x0014, lo: 0xbe, hi: 0xbe},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0x35, offset 0x1b2
	{value: 0x0034, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x81},
	{value: 0x0024, lo: 0x82, hi: 0x83},
	{value: 0x0034, lo: 0x84, hi: 0x84},
	{value: 0x0024, lo: 0x86, hi: 0x87},
	{value: 0x0010, lo: 0x88, hi: 0x8c},
	{value: 0x0014, lo: 0x8d, hi: 0x97},
	{value: 0x0014, lo: 0x99, hi: 0xbc},
	// Block 0x36, offset 0x1ba
	{value: 0x0034, lo: 0x86, hi: 0x86},
	// Block 0x37, offset 0x1bb
	{value: 0x0010, lo: 0xab, hi: 0xac},
	{value: 0x0014, lo: 0xad, hi: 0xb0},
	{value: 0x0010, lo: 0xb1, hi: 0xb1},
	{value: 0x0014, lo: 0xb2, hi: 0xb6},
	{value: 0x0034, lo: 0xb7, hi: 0xb7},
	{value: 0x0010, lo: 0xb8, hi: 0xb8},
	{value: 0x0034, lo: 0xb9, hi: 0xba},
	{value: 0x0010, lo: 0xbb, hi: 0xbc},
	{value: 0x0014, lo: 0xbd, hi: 0xbe},
	// Block 0x38, offset 0x1c4
	{value: 0x0010, lo: 0x80, hi: 0x89},
	{value: 0x0010, lo: 0x96, hi: 0x97},
	{value: 0x0014, lo: 0x98, hi: 0x99},
	{value: 0x0014, lo: 0x9e, hi: 0xa0},
	{value: 0x0010, lo: 0xa2, hi: 0xa4},
	{value: 0x0010, lo: 0xa7, hi: 0xad},
	{value: 0x0014, lo: 0xb1, hi: 0xb4},
	// Block 0x39, offset 0x1cb
	{value: 0x0014, lo: 0x82, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0x84},
	{value: 0x0014, lo: 0x85, hi: 0x86},
	{value: 0x0010, lo: 0x87, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x8f, hi: 0x9c},
	{value: 0x0014, lo: 0x9d, hi: 0x9d},
	{value: 0x4253, lo: 0xa0, hi: 0xbf},
	// Block 0x3a, offset 0x1d3
	{value: 0x4453, lo: 0x80, hi: 0x85},
	{value: 0x4453, lo: 0x87, hi: 0x87},
	{value: 0x4453, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0xba},
	{value: 0x0014, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0x3b, offset 0x1d9
	{value: 0x0010, lo: 0x80, hi: 0x88},
	{value: 0x0010, lo: 0x8a, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0x96},
	{value: 0x0010, lo: 0x98, hi: 0x98},
	{value: 0x0010, lo: 0x9a, hi: 0x9d},
	{value: 0x0010, lo: 0xa0, hi: 0xbf},
	// Block 0x3c, offset 0x1df
	{value: 0x0010, lo: 0x80, hi: 0x88},
	{value: 0x0010, lo: 0x8a, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0xb0},
	{value: 0x0010, lo: 0xb2, hi: 0xb5},
	{value: 0x0010, lo: 0xb8, hi: 0xbe},
	// Block 0x3d, offset 0x1e4
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x82, hi: 0x85},
	{value: 0x0010, lo: 0x88, hi: 0x96},
	{value: 0x0010, lo: 0x98, hi: 0xbf},
	// Block 0x3e, offset 0x1e8
	{value: 0x0010, lo: 0x80, hi: 0x90},
	{value: 0x0010, lo: 0x92, hi: 0x95},
	{value: 0x0010, lo: 0x98, hi: 0xbf},
	// Block 0x3f, offset 0x1eb
	{value: 0x0010, lo: 0x80, hi: 0x9a},
	{value: 0x0024, lo: 0x9d, hi: 0x9f},
	// Block 0x40, offset 0x1ed
	{value: 0x0010, lo: 0x80, hi: 0x8f},
	{value: 0x4653, lo: 0xa0, hi: 0xaf},
	{value: 0x4853, lo: 0xb0, hi: 0xbf},
	// Block 0x41, offset 0x1f0
	{value: 0x4a53, lo: 0x80, hi: 0x8f},
	{value: 0x4c53, lo: 0x90, hi: 0x9f},
	{value: 0x4a53, lo: 0xa0, hi: 0xaf},
	{value: 0x0413, lo: 0xb0, hi: 0xb5},
	{value: 0x0412, lo: 0xb8, hi: 0xbd},
	// Block 0x42, offset 0x1f5
	{value: 0x0010, lo: 0x81, hi: 0xbf},
	// Block 0x43, offset 0x1f6
	{value: 0x0010, lo: 0x80, hi: 0xac},
	{value: 0x0010, lo: 0xaf, hi: 0xbf},
	// Block 0x44, offset 0x1f8
	{value: 0x0010, lo: 0x81, hi: 0x9a},
	{value: 0x0010, lo: 0xa0, hi: 0xbf},
	// Block 0x45, offset 0x1fa
	{value: 0x0010, lo: 0x80, hi: 0xaa},
	{value: 0x0010, lo: 0xae, hi: 0xb8},
	// Block 0x46, offset 0x1fc
	{value: 0x0010, lo: 0x80, hi: 0x8c},
	{value: 0x0010, lo: 0x8e, hi: 0x91},
	{value: 0x0014, lo: 0x92, hi: 0x93},
	{value: 0x0034, lo: 0x94, hi: 0x94},
	{value: 0x0010, lo: 0xa0, hi: 0xb1},
	{value: 0x0014, lo: 0xb2, hi: 0xb3},
	{value: 0x0034, lo: 0xb4, hi: 0xb4},
	// Block 0x47, offset 0x203
	{value: 0x0010, lo: 0x80, hi: 0x91},
	{value: 0x0014, lo: 0x92, hi: 0x93},
	{value: 0x0010, lo: 0xa0, hi: 0xac},
	{value: 0x0010, lo: 0xae, hi: 0xb0},
	{value: 0x0014, lo: 0xb2, hi: 0xb3},
	// Block 0x48, offset 0x208
	{value: 0x0014, lo: 0xb4, hi: 0xb5},
	{value: 0x0010, lo: 0xb6, hi: 0xb6},
	{value: 0x0014, lo: 0xb7, hi: 0xbd},
	{value: 0x0010, lo: 0xbe, hi: 0xbf},
	// Block 0x49, offset 0x20c
	{value: 0x0010, lo: 0x80, hi: 0x85},
	{value: 0x0014, lo: 0x86, hi: 0x86},
	{value: 0x0010, lo: 0x87, hi: 0x88},
	{value: 0x0014, lo: 0x89, hi: 0x91},
	{value: 0x0034, lo: 0x92, hi: 0x92},
	{value: 0x0014, lo: 0x93, hi: 0x93},
	{value: 0x0004, lo: 0x97, hi: 0x97},
	{value: 0x0024, lo: 0x9d, hi: 0x9d},
	{value: 0x0010, lo: 0xa0, hi: 0xa9},
	// Block 0x4a, offset 0x215
	{value: 0x0014, lo: 0x8b, hi: 0x8e},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0010, lo: 0xa0, hi: 0xbf},
	// Block 0x4b, offset 0x218
	{value: 0x0010, lo: 0x80, hi: 0x82},
	{value: 0x0014, lo: 0x83, hi: 0x83},
	{value: 0x0010, lo: 0x84, hi: 0xb7},
	// Block 0x4c, offset 0x21b
	{value: 0x0010, lo: 0x80, hi: 0xa8},
	{value: 0x0034, lo: 0xa9, hi: 0xa9},
	{value: 0x0010, lo: 0xaa, hi: 0xaa},
	{value: 0x0010, lo: 0xb0, hi: 0xbf},
	// Block 0x4d, offset 0x21f
	{value: 0x0010, lo: 0x80, hi: 0xb5},
	// Block 0x4e, offset 0x220
	{value: 0x0010, lo: 0x80, hi: 0x9e},
	{value: 0x0014, lo: 0xa0, hi: 0xa2},
	{value: 0x0010, lo: 0xa3, hi: 0xa6},
	{value: 0x0014, lo: 0xa7, hi: 0xa8},
	{value: 0x0010, lo: 0xa9, hi: 0xab},
	{value: 0x0010, lo: 0xb0, hi: 0xb1},
	{value: 0x0014, lo: 0xb2, hi: 0xb2},
	{value: 0x0010, lo: 0xb3, hi: 0xb8},
	{value: 0x0034, lo: 0xb9, hi: 0xb9},
	{value: 0x0024, lo: 0xba, hi: 0xba},
	{value: 0x0034, lo: 0xbb, hi: 0xbb},
	// Block 0x4f, offset 0x22b
	{value: 0x0010, lo: 0x86, hi: 0x8f},
	// Block 0x50, offset 0x22c
	{value: 0x0010, lo: 0x90, hi: 0x99},
	// Block 0x51, offset 0x22d
	{value: 0x0010, lo: 0x80, hi: 0x96},
	{value: 0x0024, lo: 0x97, hi: 0x97},
	{value: 0x0034, lo: 0x98, hi: 0x98},
	{value: 0x0010, lo: 0x99, hi: 0x9a},
	{value: 0x0014, lo: 0x9b, hi: 0x9b},
	// Block 0x52, offset 0x232
	{value: 0x0010, lo: 0x95, hi: 0x95},
	{value: 0x0014, lo: 0x96, hi: 0x96},
	{value: 0x0010, lo: 0x97, hi: 0x97},
	{value: 0x0014, lo: 0x98, hi: 0x9e},
	{value: 0x0034, lo: 0xa0, hi: 0xa0},
	{value: 0x0010, lo: 0xa1, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa2},
	{value: 0x0010, lo: 0xa3, hi: 0xa4},
	{value: 0x0014, lo: 0xa5, hi: 0xac},
	{value: 0x0010, lo: 0xad, hi: 0xb2},
	{value: 0x0014, lo: 0xb3, hi: 0xb4},
	{value: 0x0024, lo: 0xb5, hi: 0xbc},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0x53, offset 0x23f
	{value: 0x0010, lo: 0x80, hi: 0x89},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0004, lo: 0xa7, hi: 0xa7},
	{value: 0x0024, lo: 0xb0, hi: 0xb4},
	{value: 0x0034, lo: 0xb5, hi: 0xba},
	{value: 0x0024, lo: 0xbb, hi: 0xbc},
	{value: 0x0034, lo: 0xbd, hi: 0xbd},
	{value: 0x0014, lo: 0xbe, hi: 0xbe},
	// Block 0x54, offset 0x247
	{value: 0x0014, lo: 0x80, hi: 0x83},
	{value: 0x0010, lo: 0x84, hi: 0xb3},
	{value: 0x0034, lo: 0xb4, hi: 0xb4},
	{value: 0x0010, lo: 0xb5, hi: 0xb5},
	{value: 0x0014, lo: 0xb6, hi: 0xba},
	{value: 0x0010, lo: 0xbb, hi: 0xbb},
	{value: 0x0014, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0x55, offset 0x24f
	{value: 0x0010, lo: 0x80, hi: 0x81},
	{value: 0x0014, lo: 0x82, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0x83},
	{value: 0x0030, lo: 0x84, hi: 0x84},
	{value: 0x0010, lo: 0x85, hi: 0x8b},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0024, lo: 0xab, hi: 0xab},
	{value: 0x0034, lo: 0xac, hi: 0xac},
	{value: 0x0024, lo: 0xad, hi: 0xb3},
	// Block 0x56, offset 0x258
	{value: 0x0014, lo: 0x80, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa5},
	{value: 0x0010, lo: 0xa6, hi: 0xa7},
	{value: 0x0014, lo: 0xa8, hi: 0xa9},
	{value: 0x0030, lo: 0xaa, hi: 0xaa},
	{value: 0x0034, lo: 0xab, hi: 0xab},
	{value: 0x0014, lo: 0xac, hi: 0xad},
	{value: 0x0010, lo: 0xae, hi: 0xbf},
	// Block 0x57, offset 0x261
	{value: 0x0010, lo: 0x80, hi: 0xa5},
	{value: 0x0034, lo: 0xa6, hi: 0xa6},
	{value: 0x0010, lo: 0xa7, hi: 0xa7},
	{value: 0x0014, lo: 0xa8, hi: 0xa9},
	{value: 0x0010, lo: 0xaa, hi: 0xac},
	{value: 0x0014, lo: 0xad, hi: 0xad},
	{value: 0x0010, lo: 0xae, hi: 0xae},
	{value: 0x0014, lo: 0xaf, hi: 0xb1},
	{value: 0x0030, lo: 0xb2, hi: 0xb3},
	// Block 0x58, offset 0x26a
	{value: 0x0010, lo: 0x80, hi: 0xab},
	{value: 0x0014, lo: 0xac, hi: 0xb3},
	{value: 0x0010, lo: 0xb4, hi: 0xb5},
	{value: 0x0014, lo: 0xb6, hi: 0xb6},
	{value: 0x0034, lo: 0xb7, hi: 0xb7},
	// Block 0x59, offset 0x26f
	{value: 0x0010, lo: 0x80, hi: 0x89},
	{value: 0x0010, lo: 0x8d, hi: 0xb7},
	{value: 0x0014, lo: 0xb8, hi: 0xbd},
	// Block 0x5a, offset 0x272
	{value: 0x0024, lo: 0x90, hi: 0x92},
	{value: 0x0034, lo: 0x94, hi: 0x99},
	{value: 0x0024, lo: 0x9a, hi: 0x9b},
	{value: 0x0034, lo: 0x9c, hi: 0x9f},
	{value: 0x0024, lo: 0xa0, hi: 0xa0},
	{value: 0x0010, lo: 0xa1, hi: 0xa1},
	{value: 0x0034, lo: 0xa2, hi: 0xa8},
	{value: 0x0010, lo: 0xa9, hi: 0xac},
	{value: 0x0034, lo: 0xad, hi: 0xad},
	{value: 0x0010, lo: 0xae, hi: 0xb3},
	{value: 0x0024, lo: 0xb4, hi: 0xb4},
	{value: 0x0010, lo: 0xb5, hi: 0xb6},
	{value: 0x0024, lo: 0xb8, hi: 0xb9},
	// Block 0x5b, offset 0x27f
	{value: 0x0012, lo: 0x80, hi: 0xab},
	{value: 0x0015, lo: 0xac, hi: 0xbf},
	// Block 0x5c, offset 0x281
	{value: 0x0015, lo: 0x80, hi: 0xaa},
	{value: 0x0012, lo: 0xab, hi: 0xb7},
	{value: 0x0015, lo: 0xb8, hi: 0xb8},
	{value: 0x4e52, lo: 0xb9, hi: 0xb9},
	{value: 0x0012, lo: 0xba, hi: 0xbc},
	{value: 0x5052, lo: 0xbd, hi: 0xbd},
	{value: 0x0012, lo: 0xbe, hi: 0xbf},
	// Block 0x5d, offset 0x288
	{value: 0x0012, lo: 0x80, hi: 0x9a},
	{value: 0x0015, lo: 0x9b, hi: 0xbf},
	// Block 0x5e, offset 0x28a
	{value: 0x0024, lo: 0x80, hi: 0x81},
	{value: 0x0034, lo: 0x82, hi: 0x82},
	{value: 0x0024, lo: 0x83, hi: 0x89},
	{value: 0x0034, lo: 0x8a, hi: 0x8a},
	{value: 0x0024, lo: 0x8b, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x90},
	{value: 0x0024, lo: 0x91, hi: 0xb5},
	{value: 0x0034, lo: 0xbc, hi: 0xbd},
	{value: 0x0024, lo: 0xbe, hi: 0xbe},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0x5f, offset 0x294
	{value: 0x0097, lo: 0x80, hi: 0xbf},
	// Block 0x60, offset 0x295
	{value: 0x0097, lo: 0x80, hi: 0x95},
	{value: 0x1b1a, lo: 0x96, hi: 0x96},
	{value: 0x1bba, lo: 0x97, hi: 0x97},
	{value: 0x1c5a, lo: 0x98, hi: 0x98},
	{value: 0x1cfa, lo: 0x99, hi: 0x99},
	{value: 0x1d9a, lo: 0x9a, hi: 0x9a},
	{value: 0x51d2, lo: 0x9b, hi: 0x9b},
	{value: 0x0012, lo: 0x9c, hi: 0x9d},
	{value: 0x1e3b, lo: 0x9e, hi: 0x9e},
	{value: 0x0012, lo: 0x9f, hi: 0x9f},
	{value: 0x0097, lo: 0xa0, hi: 0xbf},
	// Block 0x61, offset 0x2a0
	{value: 0x0412, lo: 0x80, hi: 0x87},
	{value: 0x0413, lo: 0x88, hi: 0x8f},
	{value: 0x0412, lo: 0x90, hi: 0x95},
	{value: 0x0413, lo: 0x98, hi: 0x9d},
	{value: 0x0412, lo: 0xa0, hi: 0xa7},
	{value: 0x0413, lo: 0xa8, hi: 0xaf},
	{value: 0x0412, lo: 0xb0, hi: 0xb7},
	{value: 0x0413, lo: 0xb8, hi: 0xbf},
	// Block 0x62, offset 0x2a8
	{value: 0x0004, lo: 0x8b, hi: 0x8b},
	{value: 0x0014, lo: 0x8c, hi: 0x8f},
	{value: 0x0014, lo: 0x98, hi: 0x99},
	{value: 0x0014, lo: 0xa4, hi: 0xa4},
	{value: 0x0014, lo: 0xa7, hi: 0xa7},
	{value: 0x0014, lo: 0xaa, hi: 0xae},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0x63, offset 0x2af
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x94, hi: 0x94},
	{value: 0x0014, lo: 0xa0, hi: 0xa4},
	{value: 0x0014, lo: 0xa6, hi: 0xaf},
	{value: 0x0015, lo: 0xb1, hi: 0xb1},
	{value: 0x0015, lo: 0xbf, hi: 0xbf},
	// Block 0x64, offset 0x2b5
	{value: 0x0015, lo: 0x90, hi: 0x9c},
	// Block 0x65, offset 0x2b6
	{value: 0x0024, lo: 0x90, hi: 0x91},
	{value: 0x0034, lo: 0x92, hi: 0x93},
	{value: 0x0024, lo: 0x94, hi: 0x97},
	{value: 0x0034, lo: 0x98, hi: 0x9a},
	{value: 0x0024, lo: 0x9b, hi: 0x9c},
	{value: 0x0014, lo: 0x9d, hi: 0xa0},
	{value: 0x0024, lo: 0xa1, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa4},
	{value: 0x0034, lo: 0xa5, hi: 0xa6},
	{value: 0x0024, lo: 0xa7, hi: 0xa7},
	{value: 0x0034, lo: 0xa8, hi: 0xa8},
	{value: 0x0024, lo: 0xa9, hi: 0xa9},
	{value: 0x0034, lo: 0xaa, hi: 0xaf},
	{value: 0x0024, lo: 0xb0, hi: 0xb0},
	// Block 0x66, offset 0x2c4
	{value: 0x0016, lo: 0x85, hi: 0x86},
	{value: 0x0012, lo: 0x87, hi: 0x89},
	{value: 0x5c52, lo: 0x8e, hi: 0x8e},
	{value: 0x0813, lo: 0xa0, hi: 0xaf},
	{value: 0x0812, lo: 0xb0, hi: 0xbf},
	// Block 0x67, offset 0x2c9
	{value: 0x0010, lo: 0x80, hi: 0x82},
	{value: 0x0396, lo: 0x83, hi: 0x84},
	{value: 0x0010, lo: 0x85, hi: 0x88},
	// Block 0x68, offset 0x2cc
	{value: 0x5dd3, lo: 0xb6, hi: 0xb7},
	{value: 0x3bd3, lo: 0xb8, hi: 0xb9},
	{value: 0x5f53, lo: 0xba, hi: 0xbb},
	{value: 0x3bd3, lo: 0xbc, hi: 0xbd},
	{value: 0x5dd3, lo: 0xbe, hi: 0xbf},
	// Block 0x69, offset 0x2d1
	{value: 0x1813, lo: 0x80, hi: 0x8f},
	{value: 0x3d53, lo: 0x90, hi: 0x9f},
	{value: 0x60d3, lo: 0xa0, hi: 0xae},
	{value: 0x1812, lo: 0xb0, hi: 0xbf},
	// Block 0x6a, offset 0x2d5
	{value: 0x0097, lo: 0x80, hi: 0xa3},
	{value: 0x0012, lo: 0xa4, hi: 0xa4},
	{value: 0x0396, lo: 0xab, hi: 0xac},
	{value: 0x0196, lo: 0xad, hi: 0xae},
	{value: 0x0024, lo: 0xaf, hi: 0xb1},
	{value: 0x0097, lo: 0xb2, hi: 0xb3},
	// Block 0x6b, offset 0x2db
	{value: 0x4252, lo: 0x80, hi: 0x9f},
	{value: 0x4452, lo: 0xa0, hi: 0xa5},
	{value: 0x4452, lo: 0xa7, hi: 0xa7},
	{value: 0x4452, lo: 0xad, hi: 0xad},
	{value: 0x0010, lo: 0xb0, hi: 0xbf},
	// Block 0x6c, offset 0x2e0
	{value: 0x0010, lo: 0x80, hi: 0xa7},
	{value: 0x0014, lo: 0xaf, hi: 0xaf},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0x6d, offset 0x2e3
	{value: 0x0010, lo: 0x80, hi: 0x96},
	{value: 0x0010, lo: 0xa0, hi: 0xa6},
	{value: 0x0010, lo: 0xa8, hi: 0xae},
	{value: 0x0010, lo: 0xb0, hi: 0xb6},
	{value: 0x0010, lo: 0xb8, hi: 0xbe},
	// Block 0x6e, offset 0x2e8
	{value: 0x0010, lo: 0x80, hi: 0x86},
	{value: 0x0010, lo: 0x88, hi: 0x8e},
	{value: 0x0010, lo: 0x90, hi: 0x96},
	{value: 0x0010, lo: 0x98, hi: 0x9e},
	{value: 0x0024, lo: 0xa0, hi: 0xbf},
	// Block 0x6f, offset 0x2ed
	{value: 0x0014, lo: 0xaf, hi: 0xaf},
	// Block 0x70, offset 0x2ee
	{value: 0x0014, lo: 0x85, hi: 0x85},
	{value: 0x0034, lo: 0xaa, hi: 0xad},
	{value: 0x0030, lo: 0xae, hi: 0xaf},
	{value: 0x0004, lo: 0xb1, hi: 0xb5},
	{value: 0x0014, lo: 0xbb, hi: 0xbb},
	{value: 0x0010, lo: 0xbc, hi: 0xbc},
	// Block 0x71, offset 0x2f4
	{value: 0x0034, lo: 0x99, hi: 0x9a},
	{value: 0x0004, lo: 0x9b, hi: 0x9e},
	// Block 0x72, offset 0x2f6
	{value: 0x0004, lo: 0xbc, hi: 0xbe},
	// Block 0x73, offset 0x2f7
	{value: 0x0010, lo: 0x85, hi: 0xad},
	{value: 0x0010, lo: 0xb1, hi: 0xbf},
	// Block 0x74, offset 0x2f9
	{value: 0x0010, lo: 0x80, hi: 0x8e},
	{value: 0x0010, lo: 0xa0, hi: 0xba},
	// Block 0x75, offset 0x2fb
	{value: 0x0010, lo: 0x80, hi: 0x94},
	{value: 0x0014, lo: 0x95, hi: 0x95},
	{value: 0x0010, lo: 0x96, hi: 0xbf},
	// Block 0x76, offset 0x2fe
	{value: 0x0010, lo: 0x80, hi: 0x8c},
	// Block 0x77, offset 0x2ff
	{value: 0x0010, lo: 0x90, hi: 0xb7},
	{value: 0x0014, lo: 0xb8, hi: 0xbd},
	// Block 0x78, offset 0x301
	{value: 0x0010, lo: 0x80, hi: 0x8b},
	{value: 0x0014, lo: 0x8c, hi: 0x8c},
	{value: 0x0010, lo: 0x90, hi: 0xab},
	// Block 0x79, offset 0x304
	{value: 0x0097, lo: 0x80, hi: 0xad},
	{value: 0x0010, lo: 0xae, hi: 0xae},
	{value: 0x0024, lo: 0xaf, hi: 0xaf},
	{value: 0x0014, lo: 0xb0, hi: 0xb2},
	{value: 0x0024, lo: 0xb4, hi: 0xbd},
	{value: 0x0014, lo: 0xbf, hi: 0xbf},
	// Block 0x7a, offset 0x30a
	{value: 0x0097, lo: 0x80, hi: 0x9b},
	{value: 0x0015, lo: 0x9c, hi: 0x9d},
	{value: 0x0024, lo: 0x9e, hi: 0x9f},
	{value: 0x0010, lo: 0xa0, hi: 0xbf},
	// Block 0x7b, offset 0x30e
	{value: 0x0010, lo: 0x80, hi: 0xaf},
	{value: 0x0024, lo: 0xb0, hi: 0xb1},
	// Block 0x7c, offset 0x310
	{value: 0x0004, lo: 0x80, hi: 0x96},
	{value: 0x0014, lo: 0x97, hi: 0x9f},
	{value: 0x0004, lo: 0xa0, hi: 0xa1},
	{value: 0x0097, lo: 0xa2, hi: 0xaf},
	{value: 0x0012, lo: 0xb0, hi: 0xb1},
	{value: 0x0097, lo: 0xb2, hi: 0xbf},
	// Block 0x7d, offset 0x316
	{value: 0x0097, lo: 0x80, hi: 0xaf},
	{value: 0x0015, lo: 0xb0, hi: 0xb0},
	{value: 0x0012, lo: 0xb1, hi: 0xb8},
	{value: 0x0196, lo: 0xb9, hi: 0xba},
	{value: 0x0396, lo: 0xbb, hi: 0xbc},
	{value: 0x4e53, lo: 0xbd, hi: 0xbd},
	{value: 0x0097, lo: 0xbe, hi: 0xbf},
	// Block 0x7e, offset 0x31d
	{value: 0x0010, lo: 0xb7, hi: 0xb7},
	{value: 0x0015, lo: 0xb8, hi: 0xb9},
	{value: 0x0012, lo: 0xba, hi: 0xba},
	{value: 0x0010, lo: 0xbb, hi: 0xbf},
	// Block 0x7f, offset 0x321
	{value: 0x0010, lo: 0x80, hi: 0x81},
	{value: 0x0014, lo: 0x82, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0x85},
	{value: 0x0034, lo: 0x86, hi: 0x86},
	{value: 0x0010, lo: 0x87, hi: 0x8a},
	{value: 0x0014, lo: 0x8b, hi: 0x8b},
	{value: 0x0010, lo: 0x8c, hi: 0xa4},
	{value: 0x0014, lo: 0xa5, hi: 0xa6},
	{value: 0x0010, lo: 0xa7, hi: 0xa7},
	// Block 0x80, offset 0x32a
	{value: 0x0010, lo: 0x80, hi: 0xb3},
	// Block 0x81, offset 0x32b
	{value: 0x0010, lo: 0x80, hi: 0x83},
	{value: 0x0034, lo: 0x84, hi: 0x84},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0024, lo: 0xa0, hi: 0xb1},
	{value: 0x0010, lo: 0xb2, hi: 0xb7},
	{value: 0x0010, lo: 0xbb, hi: 0xbb},
	{value: 0x0010, lo: 0xbd, hi: 0xbd},
	// Block 0x82, offset 0x332
	{value: 0x0010, lo: 0x80, hi: 0xa5},
	{value: 0x0014, lo: 0xa6, hi: 0xaa},
	{value: 0x0034, lo: 0xab, hi: 0xad},
	{value: 0x0010, lo: 0xb0, hi: 0xbf},
	// Block 0x83, offset 0x336
	{value: 0x0010, lo: 0x80, hi: 0x86},
	{value: 0x0014, lo: 0x87, hi: 0x91},
	{value: 0x0010, lo: 0x92, hi: 0x92},
	{value: 0x0030, lo: 0x93, hi: 0x93},
	{value: 0x0010, lo: 0xa0, hi: 0xbc},
	// Block 0x84, offset 0x33b
	{value: 0x0014, lo: 0x80, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0xb2},
	{value: 0x0034, lo: 0xb3, hi: 0xb3},
	{value: 0x0010, lo: 0xb4, hi: 0xb5},
	{value: 0x0014, lo: 0xb6, hi: 0xb9},
	{value: 0x0010, lo: 0xba, hi: 0xbb},
	{value: 0x0014, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0x85, offset 0x343
	{value: 0x0030, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x8f, hi: 0x8f},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0014, lo: 0xa5, hi: 0xa5},
	{value: 0x0004, lo: 0xa6, hi: 0xa6},
	{value: 0x0010, lo: 0xb0, hi: 0xb9},
	// Block 0x86, offset 0x349
	{value: 0x0010, lo: 0x80, hi: 0xa8},
	{value: 0x0014, lo: 0xa9, hi: 0xae},
	{value: 0x0010, lo: 0xaf, hi: 0xb0},
	{value: 0x0014, lo: 0xb1, hi: 0xb2},
	{value: 0x0010, lo: 0xb3, hi: 0xb4},
	{value: 0x0014, lo: 0xb5, hi: 0xb6},
	// Block 0x87, offset 0x34f
	{value: 0x0010, lo: 0x80, hi: 0x82},
	{value: 0x0014, lo: 0x83, hi: 0x83},
	{value: 0x0010, lo: 0x84, hi: 0x8b},
	{value: 0x0014, lo: 0x8c, hi: 0x8c},
	{value: 0x0010, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0004, lo: 0xb0, hi: 0xb0},
	{value: 0x0010, lo: 0xbb, hi: 0xbb},
	{value: 0x0014, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbd},
	// Block 0x88, offset 0x359
	{value: 0x0024, lo: 0xb0, hi: 0xb0},
	{value: 0x0024, lo: 0xb2, hi: 0xb3},
	{value: 0x0034, lo: 0xb4, hi: 0xb4},
	{value: 0x0024, lo: 0xb7, hi: 0xb8},
	{value: 0x0024, lo: 0xbe, hi: 0xbf},
	// Block 0x89, offset 0x35e
	{value: 0x0024, lo: 0x81, hi: 0x81},
	{value: 0x0004, lo: 0x9d, hi: 0x9d},
	{value: 0x0010, lo: 0xa0, hi: 0xab},
	{value: 0x0014, lo: 0xac, hi: 0xad},
	{value: 0x0010, lo: 0xae, hi: 0xaf},
	{value: 0x0010, lo: 0xb2, hi: 0xb2},
	{value: 0x0014, lo: 0xb3, hi: 0xb4},
	{value: 0x0010, lo: 0xb5, hi: 0xb5},
	{value: 0x0034, lo: 0xb6, hi: 0xb6},
	// Block 0x8a, offset 0x367
	{value: 0x0010, lo: 0x81, hi: 0x86},
	{value: 0x0010, lo: 0x89, hi: 0x8e},
	{value: 0x0010, lo: 0x91, hi: 0x96},
	{value: 0x0010, lo: 0xa0, hi: 0xa6},
	{value: 0x0010, lo: 0xa8, hi: 0xae},
	{value: 0x0012, lo: 0xb0, hi: 0xbf},
	// Block 0x8b, offset 0x36d
	{value: 0x0012, lo: 0x80, hi: 0x92},
	{value: 0x6252, lo: 0x93, hi: 0x93},
	{value: 0x0012, lo: 0x94, hi: 0x9a},
	{value: 0x0004, lo: 0x9b, hi: 0x9b},
	{value: 0x0015, lo: 0x9c, hi: 0x9f},
	{value: 0x0012, lo: 0xa0, hi: 0xa5},
	{value: 0x4652, lo: 0xb0, hi: 0xbf},
	// Block 0x8c, offset 0x374
	{value: 0x4852, lo: 0x80, hi: 0x8f},
	{value: 0x4a52, lo: 0x90, hi: 0x9f},
	{value: 0x4c52, lo: 0xa0, hi: 0xaf},
	{value: 0x4a52, lo: 0xb0, hi: 0xbf},
	// Block 0x8d, offset 0x378
	{value: 0x0010, lo: 0x80, hi: 0xa4},
	{value: 0x0014, lo: 0xa5, hi: 0xa5},
	{value: 0x0010, lo: 0xa6, hi: 0xa7},
	{value: 0x0014, lo: 0xa8, hi: 0xa8},
	{value: 0x0010, lo: 0xa9, hi: 0xaa},
	{value: 0x0010, lo: 0xac, hi: 0xac},
	{value: 0x0034, lo: 0xad, hi: 0xad},
	{value: 0x0010, lo: 0xb0, hi: 0xb9},
	// Block 0x8e, offset 0x380
	{value: 0x0010, lo: 0x80, hi: 0xa3},
	{value: 0x0010, lo: 0xb0, hi: 0xbf},
	// Block 0x8f, offset 0x382
	{value: 0x0010, lo: 0x80, hi: 0x86},
	{value: 0x0010, lo: 0x8b, hi: 0xbb},
	// Block 0x90, offset 0x384
	{value: 0x0010, lo: 0x80, hi: 0x81},
	{value: 0x0010, lo: 0x83, hi: 0x84},
	{value: 0x0010, lo: 0x86, hi: 0xbf},
	// Block 0x91, offset 0x387
	{value: 0x0010, lo: 0x80, hi: 0xb1},
	{value: 0x0004, lo: 0xb2, hi: 0xbf},
	// Block 0x92, offset 0x389
	{value: 0x0004, lo: 0x80, hi: 0x81},
	{value: 0x0010, lo: 0x93, hi: 0xbf},
	// Block 0x93, offset 0x38b
	{value: 0x0010, lo: 0x80, hi: 0xbd},
	// Block 0x94, offset 0x38c
	{value: 0x0010, lo: 0x90, hi: 0xbf},
	// Block 0x95, offset 0x38d
	{value: 0x0010, lo: 0x80, hi: 0x8f},
	{value: 0x0010, lo: 0x92, hi: 0xbf},
	// Block 0x96, offset 0x38f
	{value: 0x0010, lo: 0x80, hi: 0x87},
	{value: 0x0010, lo: 0xb0, hi: 0xbb},
	// Block 0x97, offset 0x391
	{value: 0x0014, lo: 0x80, hi: 0x8f},
	{value: 0x0014, lo: 0x93, hi: 0x93},
	{value: 0x0024, lo: 0xa0, hi: 0xa6},
	{value: 0x0034, lo: 0xa7, hi: 0xad},
	{value: 0x0024, lo: 0xae, hi: 0xaf},
	{value: 0x0010, lo: 0xb3, hi: 0xb4},
	// Block 0x98, offset 0x397
	{value: 0x0010, lo: 0x8d, hi: 0x8f},
	{value: 0x0014, lo: 0x92, hi: 0x92},
	{value: 0x0014, lo: 0x95, hi: 0x95},
	{value: 0x0010, lo: 0xb0, hi: 0xb4},
	{value: 0x0010, lo: 0xb6, hi: 0xbf},
	// Block 0x99, offset 0x39c
	{value: 0x0010, lo: 0x80, hi: 0xbc},
	{value: 0x0014, lo: 0xbf, hi: 0xbf},
	// Block 0x9a, offset 0x39e
	{value: 0x0014, lo: 0x87, hi: 0x87},
	{value: 0x0014, lo: 0x8e, hi: 0x8e},
	{value: 0x0014, lo: 0x9a, hi: 0x9a},
	{value: 0x32d3, lo: 0xa1, hi: 0xba},
	{value: 0x0004, lo: 0xbe, hi: 0xbe},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0x9b, offset 0x3a4
	{value: 0x0004, lo: 0x80, hi: 0x80},
	{value: 0x32d2, lo: 0x81, hi: 0x9a},
	{value: 0x0004, lo: 0xb0, hi: 0xb0},
	// Block 0x9c, offset 0x3a7
	{value: 0x0014, lo: 0x9e, hi: 0x9f},
	{value: 0x0010, lo: 0xa0, hi: 0xbe},
	// Block 0x9d, offset 0x3a9
	{value: 0x0010, lo: 0x82, hi: 0x87},
	{value: 0x0010, lo: 0x8a, hi: 0x8f},
	{value: 0x0010, lo: 0x92, hi: 0x97},
	{value: 0x0010, lo: 0x9a, hi: 0x9c},
	{value: 0x0004, lo: 0xa3, hi: 0xa3},
	{value: 0x0014, lo: 0xb9, hi: 0xbb},
	// Block 0x9e, offset 0x3af
	{value: 0x0010, lo: 0x80, hi: 0x8b},
	{value: 0x0010, lo: 0x8d, hi: 0xa6},
	{value: 0x0010, lo: 0xa8, hi: 0xba},
	{value: 0x0010, lo: 0xbc, hi: 0xbd},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0x9f, offset 0x3b4
	{value: 0x0010, lo: 0x80, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0x9d},
	// Block 0xa0, offset 0x3b6
	{value: 0x0010, lo: 0x80, hi: 0xba},
	// Block 0xa1, offset 0x3b7
	{value: 0x0010, lo: 0x80, hi: 0xb4},
	// Block 0xa2, offset 0x3b8
	{value: 0x0034, lo: 0xbd, hi: 0xbd},
	// Block 0xa3, offset 0x3b9
	{value: 0x0010, lo: 0x80, hi: 0x9c},
	{value: 0x0010, lo: 0xa0, hi: 0xbf},
	// Block 0xa4, offset 0x3bb
	{value: 0x0010, lo: 0x80, hi: 0x90},
	{value: 0x0034, lo: 0xa0, hi: 0xa0},
	// Block 0xa5, offset 0x3bd
	{value: 0x0010, lo: 0x80, hi: 0x9f},
	{value: 0x0010, lo: 0xb0, hi: 0xbf},
	// Block 0xa6, offset 0x3bf
	{value: 0x0010, lo: 0x80, hi: 0x8a},
	{value: 0x0010, lo: 0x90, hi: 0xb5},
	{value: 0x0024, lo: 0xb6, hi: 0xba},
	// Block 0xa7, offset 0x3c2
	{value: 0x0010, lo: 0x80, hi: 0x9d},
	{value: 0x0010, lo: 0xa0, hi: 0xbf},
	// Block 0xa8, offset 0x3c4
	{value: 0x0010, lo: 0x80, hi: 0x83},
	{value: 0x0010, lo: 0x88, hi: 0x8f},
	{value: 0x0010, lo: 0x91, hi: 0x95},
	// Block 0xa9, offset 0x3c7
	{value: 0x1413, lo: 0x80, hi: 0x87},
	{value: 0x1c13, lo: 0x88, hi: 0x8f},
	{value: 0x1413, lo: 0x90, hi: 0x97},
	{value: 0x63d3, lo: 0x98, hi: 0x9f},
	{value: 0x6553, lo: 0xa0, hi: 0xa7},
	{value: 0x1412, lo: 0xa8, hi: 0xaf},
	{value: 0x1c12, lo: 0xb0, hi: 0xb7},
	{value: 0x1412, lo: 0xb8, hi: 0xbf},
	// Block 0xaa, offset 0x3cf
	{value: 0x63d2, lo: 0x80, hi: 0x87},
	{value: 0x6552, lo: 0x88, hi: 0x8f},
	{value: 0x0010, lo: 0x90, hi: 0xbf},
	// Block 0xab, offset 0x3d2
	{value: 0x0010, lo: 0x80, hi: 0x9d},
	{value: 0x0010, lo: 0xa0, hi: 0xa9},
	// Block 0xac, offset 0x3d4
	{value: 0x0010, lo: 0x80, hi: 0xa7},
	{value: 0x0010, lo: 0xb0, hi: 0xbf},
	// Block 0xad, offset 0x3d6
	{value: 0x0010, lo: 0x80, hi: 0xa3},
	// Block 0xae, offset 0x3d7
	{value: 0x0010, lo: 0x80, hi: 0xb6},
	// Block 0xaf, offset 0x3d8
	{value: 0x0010, lo: 0x80, hi: 0x95},
	{value: 0x0010, lo: 0xa0, hi: 0xa7},
	// Block 0xb0, offset 0x3da
	{value: 0x0010, lo: 0x80, hi: 0x85},
	{value: 0x0010, lo: 0x88, hi: 0x88},
	{value: 0x0010, lo: 0x8a, hi: 0xb5},
	{value: 0x0010, lo: 0xb7, hi: 0xb8},
	{value: 0x0010, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0xb1, offset 0x3e0
	{value: 0x0010, lo: 0x80, hi: 0x95},
	{value: 0x0010, lo: 0xa0, hi: 0xb6},
	// Block 0xb2, offset 0x3e2
	{value: 0x0010, lo: 0x80, hi: 0x9e},
	// Block 0xb3, offset 0x3e3
	{value: 0x0010, lo: 0xa0, hi: 0xb2},
	{value: 0x0010, lo: 0xb4, hi: 0xb5},
	// Block 0xb4, offset 0x3e5
	{value: 0x0010, lo: 0x80, hi: 0x95},
	{value: 0x0010, lo: 0xa0, hi: 0xb9},
	// Block 0xb5, offset 0x3e7
	{value: 0x0010, lo: 0x80, hi: 0xb7},
	{value: 0x0010, lo: 0xbe, hi: 0xbf},
	// Block 0xb6, offset 0x3e9
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x83},
	{value: 0x0014, lo: 0x85, hi: 0x86},
	{value: 0x0014, lo: 0x8c, hi: 0x8c},
	{value: 0x0034, lo: 0x8d, hi: 0x8d},
	{value: 0x0014, lo: 0x8e, hi: 0x8e},
	{value: 0x0024, lo: 0x8f, hi: 0x8f},
	{value: 0x0010, lo: 0x90, hi: 0x93},
	{value: 0x0010, lo: 0x95, hi: 0x97},
	{value: 0x0010, lo: 0x99, hi: 0xb3},
	{value: 0x0024, lo: 0xb8, hi: 0xb8},
	{value: 0x0034, lo: 0xb9, hi: 0xba},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0xb7, offset 0x3f6
	{value: 0x0010, lo: 0xa0, hi: 0xbc},
	// Block 0xb8, offset 0x3f7
	{value: 0x0010, lo: 0x80, hi: 0x9c},
	// Block 0xb9, offset 0x3f8
	{value: 0x0010, lo: 0x80, hi: 0x87},
	{value: 0x0010, lo: 0x89, hi: 0xa4},
	{value: 0x0024, lo: 0xa5, hi: 0xa5},
	{value: 0x0034, lo: 0xa6, hi: 0xa6},
	// Block 0xba, offset 0x3fc
	{value: 0x0010, lo: 0x80, hi: 0x95},
	{value: 0x0010, lo: 0xa0, hi: 0xb2},
	// Block 0xbb, offset 0x3fe
	{value: 0x0010, lo: 0x80, hi: 0x91},
	// Block 0xbc, offset 0x3ff
	{value: 0x0010, lo: 0x80, hi: 0x88},
	// Block 0xbd, offset 0x400
	{value: 0x2e53, lo: 0x80, hi: 0xb2},
	// Block 0xbe, offset 0x401
	{value: 0x2e52, lo: 0x80, hi: 0xb2},
	// Block 0xbf, offset 0x402
	{value: 0x0010, lo: 0x80, hi: 0x80},
	{value: 0x0014, lo: 0x81, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0xb7},
	{value: 0x0014, lo: 0xb8, hi: 0xbf},
	// Block 0xc0, offset 0x406
	{value: 0x0014, lo: 0x80, hi: 0x85},
	{value: 0x0034, lo: 0x86, hi: 0x86},
	{value: 0x0010, lo: 0xa6, hi: 0xaf},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0xc1, offset 0x40a
	{value: 0x0014, lo: 0x80, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0xb2},
	{value: 0x0014, lo: 0xb3, hi: 0xb6},
	{value: 0x0010, lo: 0xb7, hi: 0xb8},
	{value: 0x0034, lo: 0xb9, hi: 0xba},
	{value: 0x0014, lo: 0xbd, hi: 0xbd},
	// Block 0xc2, offset 0x410
	{value: 0x0010, lo: 0x90, hi: 0xa8},
	{value: 0x0010, lo: 0xb0, hi: 0xb9},
	// Block 0xc3, offset 0x412
	{value: 0x0024, lo: 0x80, hi: 0x82},
	{value: 0x0010, lo: 0x83, hi: 0xa6},
	{value: 0x0014, lo: 0xa7, hi: 0xab},
	{value: 0x0010, lo: 0xac, hi: 0xac},
	{value: 0x0014, lo: 0xad, hi: 0xb2},
	{value: 0x0034, lo: 0xb3, hi: 0xb4},
	{value: 0x0010, lo: 0xb6, hi: 0xbf},
	// Block 0xc4, offset 0x419
	{value: 0x0010, lo: 0x90, hi: 0xb2},
	{value: 0x0034, lo: 0xb3, hi: 0xb3},
	{value: 0x0010, lo: 0xb6, hi: 0xb6},
	// Block 0xc5, offset 0x41c
	{value: 0x0014, lo: 0x80, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0xb5},
	{value: 0x0014, lo: 0xb6, hi: 0xbe},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0xc6, offset 0x420
	{value: 0x0030, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x81, hi: 0x84},
	{value: 0x0034, lo: 0x8a, hi: 0x8a},
	{value: 0x0014, lo: 0x8b, hi: 0x8c},
	{value: 0x0010, lo: 0x90, hi: 0x9a},
	{value: 0x0010, lo: 0x9c, hi: 0x9c},
	// Block 0xc7, offset 0x426
	{value: 0x0010, lo: 0x80, hi: 0x91},
	{value: 0x0010, lo: 0x93, hi: 0xae},
	{value: 0x0014, lo: 0xaf, hi: 0xb1},
	{value: 0x0010, lo: 0xb2, hi: 0xb3},
	{value: 0x0014, lo: 0xb4, hi: 0xb4},
	{value: 0x0030, lo: 0xb5, hi: 0xb5},
	{value: 0x0034, lo: 0xb6, hi: 0xb6},
	{value: 0x0014, lo: 0xb7, hi: 0xb7},
	// Block 0xc8, offset 0x42e
	{value: 0x0010, lo: 0x80, hi: 0x86},
	{value: 0x0010, lo: 0x88, hi: 0x88},
	{value: 0x0010, lo: 0x8a, hi: 0x8d},
	{value: 0x0010, lo: 0x8f, hi: 0x9d},
	{value: 0x0010, lo: 0x9f, hi: 0xa8},
	{value: 0x0010, lo: 0xb0, hi: 0xbf},
	// Block 0xc9, offset 0x434
	{value: 0x0010, lo: 0x80, hi: 0x9e},
	{value: 0x0014, lo: 0x9f, hi: 0x9f},
	{value: 0x0010, lo: 0xa0, hi: 0xa2},
	{value: 0x0014, lo: 0xa3, hi: 0xa8},
	{value: 0x0034, lo: 0xa9, hi: 0xaa},
	{value: 0x0010, lo: 0xb0, hi: 0xb9},
	// Block 0xca, offset 0x43a
	{value: 0x0014, lo: 0x80, hi: 0x81},
	{value: 0x0010, lo: 0x82, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x8c},
	{value: 0x0010, lo: 0x8f, hi: 0x90},
	{value: 0x0010, lo: 0x93, hi: 0xa8},
	{value: 0x0010, lo: 0xaa, hi: 0xb0},
	{value: 0x0010, lo: 0xb2, hi: 0xb3},
	{value: 0x0010, lo: 0xb5, hi: 0xb9},
	{value: 0x0034, lo: 0xbc, hi: 0xbc},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0xcb, offset 0x444
	{value: 0x0014, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x81, hi: 0x84},
	{value: 0x0010, lo: 0x87, hi: 0x88},
	{value: 0x0010, lo: 0x8b, hi: 0x8c},
	{value: 0x0030, lo: 0x8d, hi: 0x8d},
	{value: 0x0010, lo: 0x90, hi: 0x90},
	{value: 0x0010, lo: 0x97, hi: 0x97},
	{value: 0x0010, lo: 0x9d, hi: 0xa3},
	{value: 0x0024, lo: 0xa6, hi: 0xac},
	{value: 0x0024, lo: 0xb0, hi: 0xb4},
	// Block 0xcc, offset 0x44e
	{value: 0x0010, lo: 0x80, hi: 0xb2},
	{value: 0x0014, lo: 0xb3, hi: 0xb8},
	{value: 0x0010, lo: 0xb9, hi: 0xb9},
	{value: 0x0014, lo: 0xba, hi: 0xba},
	{value: 0x0010, lo: 0xbb, hi: 0xbe},
	{value: 0x0014, lo: 0xbf, hi: 0xbf},
	// Block 0xcd, offset 0x454
	{value: 0x0014, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x81, hi: 0x81},
	{value: 0x0034, lo: 0x82, hi: 0x83},
	{value: 0x0010, lo: 0x84, hi: 0x85},
	{value: 0x0010, lo: 0x87, hi: 0x87},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	// Block 0xce, offset 0x45a
	{value: 0x0010, lo: 0x80, hi: 0xb1},
	{value: 0x0014, lo: 0xb2, hi: 0xb5},
	{value: 0x0010, lo: 0xb8, hi: 0xbb},
	{value: 0x0014, lo: 0xbc, hi: 0xbd},
	{value: 0x0010, lo: 0xbe, hi: 0xbe},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0xcf, offset 0x460
	{value: 0x0034, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x98, hi: 0x9b},
	{value: 0x0014, lo: 0x9c, hi: 0x9d},
	// Block 0xd0, offset 0x463
	{value: 0x0010, lo: 0x80, hi: 0xb2},
	{value: 0x0014, lo: 0xb3, hi: 0xba},
	{value: 0x0010, lo: 0xbb, hi: 0xbc},
	{value: 0x0014, lo: 0xbd, hi: 0xbd},
	{value: 0x0010, lo: 0xbe, hi: 0xbe},
	{value: 0x0034, lo: 0xbf, hi: 0xbf},
	// Block 0xd1, offset 0x469
	{value: 0x0014, lo: 0x80, hi: 0x80},
	{value: 0x0010, lo: 0x84, hi: 0x84},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	// Block 0xd2, offset 0x46c
	{value: 0x0010, lo: 0x80, hi: 0xaa},
	{value: 0x0014, lo: 0xab, hi: 0xab},
	{value: 0x0010, lo: 0xac, hi: 0xac},
	{value: 0x0014, lo: 0xad, hi: 0xad},
	{value: 0x0010, lo: 0xae, hi: 0xaf},
	{value: 0x0014, lo: 0xb0, hi: 0xb5},
	{value: 0x0030, lo: 0xb6, hi: 0xb6},
	{value: 0x0034, lo: 0xb7, hi: 0xb7},
	// Block 0xd3, offset 0x474
	{value: 0x0010, lo: 0x80, hi: 0x89},
	// Block 0xd4, offset 0x475
	{value: 0x0014, lo: 0x9d, hi: 0x9f},
	{value: 0x0010, lo: 0xa0, hi: 0xa1},
	{value: 0x0014, lo: 0xa2, hi: 0xa5},
	{value: 0x0010, lo: 0xa6, hi: 0xa6},
	{value: 0x0014, lo: 0xa7, hi: 0xaa},
	{value: 0x0034, lo: 0xab, hi: 0xab},
	{value: 0x0010, lo: 0xb0, hi: 0xb9},
	// Block 0xd5, offset 0x47c
	{value: 0x32d3, lo: 0xa0, hi: 0xbf},
	// Block 0xd6, offset 0x47d
	{value: 0x32d2, lo: 0x80, hi: 0x9f},
	{value: 0x0010, lo: 0xa0, hi: 0xa9},
	{value: 0x0010, lo: 0xbf, hi: 0xbf},
	// Block 0xd7, offset 0x480
	{value: 0x0010, lo: 0x80, hi: 0xb8},
	// Block 0xd8, offset 0x481
	{value: 0x0010, lo: 0x80, hi: 0x99},
	// Block 0xd9, offset 0x482
	{value: 0x0010, lo: 0x80, hi: 0xae},
	// Block 0xda, offset 0x483
	{value: 0x0010, lo: 0x80, hi: 0x83},
	// Block 0xdb, offset 0x484
	{value: 0x0010, lo: 0x80, hi: 0x86},
	// Block 0xdc, offset 0x485
	{value: 0x0010, lo: 0x80, hi: 0x9e},
	{value: 0x0010, lo: 0xa0, hi: 0xa9},
	// Block 0xdd, offset 0x487
	{value: 0x0010, lo: 0x90, hi: 0xad},
	{value: 0x0034, lo: 0xb0, hi: 0xb4},
	// Block 0xde, offset 0x489
	{value: 0x0010, lo: 0x80, hi: 0xaf},
	{value: 0x0024, lo: 0xb0, hi: 0xb6},
	// Block 0xdf, offset 0x48b
	{value: 0x0014, lo: 0x80, hi: 0x83},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0010, lo: 0xa3, hi: 0xb7},
	{value: 0x0010, lo: 0xbd, hi: 0xbf},
	// Block 0xe0, offset 0x48f
	{value: 0x0010, lo: 0x80, hi: 0x8f},
	// Block 0xe1, offset 0x490
	{value: 0x0010, lo: 0x80, hi: 0x84},
	{value: 0x0010, lo: 0x90, hi: 0xbe},
	// Block 0xe2, offset 0x492
	{value: 0x0014, lo: 0x8f, hi: 0x9f},
	// Block 0xe3, offset 0x493
	{value: 0x0010, lo: 0x80, hi: 0xaa},
	{value: 0x0010, lo: 0xb0, hi: 0xbc},
	// Block 0xe4, offset 0x495
	{value: 0x0010, lo: 0x80, hi: 0x88},
	{value: 0x0010, lo: 0x90, hi: 0x99},
	{value: 0x0014, lo: 0x9d, hi: 0x9d},
	{value: 0x0034, lo: 0x9e, hi: 0x9e},
	{value: 0x0014, lo: 0xa0, hi: 0xa3},
	// Block 0xe5, offset 0x49a
	{value: 0x0030, lo: 0xa5, hi: 0xa6},
	{value: 0x0034, lo: 0xa7, hi: 0xa9},
	{value: 0x0030, lo: 0xad, hi: 0xb2},
	{value: 0x0014, lo: 0xb3, hi: 0xba},
	{value: 0x0034, lo: 0xbb, hi: 0xbf},
	// Block 0xe6, offset 0x49f
	{value: 0x0034, lo: 0x80, hi: 0x82},
	{value: 0x0024, lo: 0x85, hi: 0x89},
	{value: 0x0034, lo: 0x8a, hi: 0x8b},
	{value: 0x0024, lo: 0xaa, hi: 0xad},
	// Block 0xe7, offset 0x4a3
	{value: 0x0024, lo: 0x82, hi: 0x84},
	// Block 0xe8, offset 0x4a4
	{value: 0x0013, lo: 0x80, hi: 0x99},
	{value: 0x0012, lo: 0x9a, hi: 0xb3},
	{value: 0x0013, lo: 0xb4, hi: 0xbf},
	// Block 0xe9, offset 0x4a7
	{value: 0x0013, lo: 0x80, hi: 0x8d},
	{value: 0x0012, lo: 0x8e, hi: 0x94},
	{value: 0x0012, lo: 0x96, hi: 0xa7},
	{value: 0x0013, lo: 0xa8, hi: 0xbf},
	// Block 0xea, offset 0x4ab
	{value: 0x0013, lo: 0x80, hi: 0x81},
	{value: 0x0012, lo: 0x82, hi: 0x9b},
	{value: 0x0013, lo: 0x9c, hi: 0x9c},
	{value: 0x0013, lo: 0x9e, hi: 0x9f},
	{value: 0x0013, lo: 0xa2, hi: 0xa2},
	{value: 0x0013, lo: 0xa5, hi: 0xa6},
	{value: 0x0013, lo: 0xa9, hi: 0xac},
	{value: 0x0013, lo: 0xae, hi: 0xb5},
	{value: 0x0012, lo: 0xb6, hi: 0xb9},
	{value: 0x0012, lo: 0xbb, hi: 0xbb},
	{value: 0x0012, lo: 0xbd, hi: 0xbf},
	// Block 0xeb, offset 0x4b6
	{value: 0x0012, lo: 0x80, hi: 0x83},
	{value: 0x0012, lo: 0x85, hi: 0x8f},
	{value: 0x0013, lo: 0x90, hi: 0xa9},
	{value: 0x0012, lo: 0xaa, hi: 0xbf},
	// Block 0xec, offset 0x4ba
	{value: 0x0012, lo: 0x80, hi: 0x83},
	{value: 0x0013, lo: 0x84, hi: 0x85},
	{value: 0x0013, lo: 0x87, hi: 0x8a},
	{value: 0x0013, lo: 0x8d, hi: 0x94},
	{value: 0x0013, lo: 0x96, hi: 0x9c},
	{value: 0x0012, lo: 0x9e, hi: 0xb7},
	{value: 0x0013, lo: 0xb8, hi: 0xb9},
	{value: 0x0013, lo: 0xbb, hi: 0xbe},
	// Block 0xed, offset 0x4c2
	{value: 0x0013, lo: 0x80, hi: 0x84},
	{value: 0x0013, lo: 0x86, hi: 0x86},
	{value: 0x0013, lo: 0x8a, hi: 0x90},
	{value: 0x0012, lo: 0x92, hi: 0xab},
	{value: 0x0013, lo: 0xac, hi: 0xbf},
	// Block 0xee, offset 0x4c7
	{value: 0x0013, lo: 0x80, hi: 0x85},
	{value: 0x0012, lo: 0x86, hi: 0x9f},
	{value: 0x0013, lo: 0xa0, hi: 0xb9},
	{value: 0x0012, lo: 0xba, hi: 0xbf},
	// Block 0xef, offset 0x4cb
	{value: 0x0012, lo: 0x80, hi: 0x93},
	{value: 0x0013, lo: 0x94, hi: 0xad},
	{value: 0x0012, lo: 0xae, hi: 0xbf},
	// Block 0xf0, offset 0x4ce
	{value: 0x0012, lo: 0x80, hi: 0x87},
	{value: 0x0013, lo: 0x88, hi: 0xa1},
	{value: 0x0012, lo: 0xa2, hi: 0xbb},
	{value: 0x0013, lo: 0xbc, hi: 0xbf},
	// Block 0xf1, offset 0x4d2
	{value: 0x0013, lo: 0x80, hi: 0x95},
	{value: 0x0012, lo: 0x96, hi: 0xaf},
	{value: 0x0013, lo: 0xb0, hi: 0xbf},
	// Block 0xf2, offset 0x4d5
	{value: 0x0013, lo: 0x80, hi: 0x89},
	{value: 0x0012, lo: 0x8a, hi: 0xa5},
	{value: 0x0013, lo: 0xa8, hi: 0xbf},
	// Block 0xf3, offset 0x4d8
	{value: 0x0013, lo: 0x80, hi: 0x80},
	{value: 0x0012, lo: 0x82, hi: 0x9a},
	{value: 0x0012, lo: 0x9c, hi: 0xa1},
	{value: 0x0013, lo: 0xa2, hi: 0xba},
	{value: 0x0012, lo: 0xbc, hi: 0xbf},
	// Block 0xf4, offset 0x4dd
	{value: 0x0012, lo: 0x80, hi: 0x94},
	{value: 0x0012, lo: 0x96, hi: 0x9b},
	{value: 0x0013, lo: 0x9c, hi: 0xb4},
	{value: 0x0012, lo: 0xb6, hi: 0xbf},
	// Block 0xf5, offset 0x4e1
	{value: 0x0012, lo: 0x80, hi: 0x8e},
	{value: 0x0012, lo: 0x90, hi: 0x95},
	{value: 0x0013, lo: 0x96, hi: 0xae},
	{value: 0x0012, lo: 0xb0, hi: 0xbf},
	// Block 0xf6, offset 0x4e5
	{value: 0x0012, lo: 0x80, hi: 0x88},
	{value: 0x0012, lo: 0x8a, hi: 0x8f},
	{value: 0x0013, lo: 0x90, hi: 0xa8},
	{value: 0x0012, lo: 0xaa, hi: 0xbf},
	// Block 0xf7, offset 0x4e9
	{value: 0x0012, lo: 0x80, hi: 0x82},
	{value: 0x0012, lo: 0x84, hi: 0x89},
	{value: 0x0017, lo: 0x8a, hi: 0x8b},
	{value: 0x0010, lo: 0x8e, hi: 0xbf},
	// Block 0xf8, offset 0x4ed
	{value: 0x0014, lo: 0x80, hi: 0xb6},
	{value: 0x0014, lo: 0xbb, hi: 0xbf},
	// Block 0xf9, offset 0x4ef
	{value: 0x0014, lo: 0x80, hi: 0xac},
	{value: 0x0014, lo: 0xb5, hi: 0xb5},
	// Block 0xfa, offset 0x4f1
	{value: 0x0014, lo: 0x84, hi: 0x84},
	{value: 0x0014, lo: 0x9b, hi: 0x9f},
	{value: 0x0014, lo: 0xa1, hi: 0xaf},
	// Block 0xfb, offset 0x4f4
	{value: 0x0010, lo: 0x80, hi: 0x84},
	{value: 0x0034, lo: 0x90, hi: 0x96},
	// Block 0xfc, offset 0x4f6
	{value: 0x0010, lo: 0x80, hi: 0x83},
	{value: 0x0010, lo: 0x85, hi: 0x9f},
	{value: 0x0010, lo: 0xa1, hi: 0xa2},
	{value: 0x0010, lo: 0xa4, hi: 0xa4},
	{value: 0x0010, lo: 0xa7, hi: 0xa7},
	{value: 0x0010, lo: 0xa9, hi: 0xb2},
	{value: 0x0010, lo: 0xb4, hi: 0xb7},
	{value: 0x0010, lo: 0xb9, hi: 0xb9},
	{value: 0x0010, lo: 0xbb, hi: 0xbb},
	// Block 0xfd, offset 0x4ff
	{value: 0x0010, lo: 0x80, hi: 0x89},
	{value: 0x0010, lo: 0x8b, hi: 0x9b},
	{value: 0x0010, lo: 0xa1, hi: 0xa3},
	{value: 0x0010, lo: 0xa5, hi: 0xa9},
	{value: 0x0010, lo: 0xab, hi: 0xbb},
	// Block 0xfe, offset 0x504
	{value: 0x0013, lo: 0xb0, hi: 0xbf},
	// Block 0xff, offset 0x505
	{value: 0x0013, lo: 0x80, hi: 0x89},
	{value: 0x0013, lo: 0x90, hi: 0xa9},
	{value: 0x0013, lo: 0xb0, hi: 0xbf},
	// Block 0x100, offset 0x508
	{value: 0x0013, lo: 0x80, hi: 0x89},
	// Block 0x101, offset 0x509
	{value: 0x0004, lo: 0xbb, hi: 0xbf},
	// Block 0x102, offset 0x50a
	{value: 0x0014, lo: 0x81, hi: 0x81},
	{value: 0x0014, lo: 0xa0, hi: 0xbf},
	// Block 0x103, offset 0x50c
	{value: 0x0014, lo: 0x80, hi: 0xbf},
	// Block 0x104, offset 0x50d
	{value: 0x0014, lo: 0x80, hi: 0xaf},
}

// UnicodeVersion is the Unicode version from which the tables in this package are derived.
const UnicodeVersion = "8.0.0"

// xorData: 203 bytes
var xorData = "\x00\f)\x00\x06\a\x00\x01?\x00\x0f\x03\x00\x0f\x12\x00\x0f\x1f\x00\x0f\x1d\x00\x01\x13\x00\x0f\x16\x00\x0f\v\x00\x0f3\x00\x0f7\x00\x01#\x00\x0f?\x00\x0e'\x00\x0f/\x00\x0e>\x00\x0f*\x00\f&\x00\f*\x00\f;\x00\f9\x00\f%\x00\x01\b\x00\x03\r\x00\x03\t\x00\x03\x1c\x00\x02\x06\x00\x02\x02\x00\x02\f\x00\x01\x00\x00\x01\x03\x00\x01\x01\x00\x01 \x00\x01!\x00\x01\x02\x00\x01\t\x00\x013\x00\x016\x00\x01*\x00\x01\x10\x00\x01\f\x00\x03\x10\x00\x036 \x00\x037 \x00\v#\x10\x00\v 0\x00\v!\x10\x00\v!0\x00\v(\x04\x00\x03\x04\x1e\x00\x03;\x00\x03\n\x00\x02:\x00\x02>\x00\x02,\x00\x02\x00\x00\x02\x10\x00\x01<\x00\x01&\x00\x01.\x00\x010\x003 \x00\x01\x18\x00\x01("

// exceptions: 1184 bytes
var exceptions = "\x00\x00\x12SSSs\x00\x18i̇\x00\bI\x00\x18ʼN\x00\bS\x00\x12ǆǅ\x00\x12ǆǄ\x00\x12Ǆǅ\x00\x12ǉǈ\x00\x12ǉǇ\x00\x12Ǉǈ\x00\x12ǌǋ\x00\x12ǌǊ\x00\x12Ǌǋ\x00\x18J̌\x00\x12ǳǲ\x00\x12ǳǱ\x00\x12Ǳǲ\x00\x18ⱥ\x00\x18ⱦ\x00\x18Ȿ\x00\x18Ɀ\x00\x18Ɐ\x00\x18Ɑ\x00\x18Ɒ\x00\x18Ɜ\x00\x18Ɡ\x00\x18Ɥ\x00\x18Ɦ\x00\x18Ɫ\x00\x18Ɬ\x00\x18Ɱ\x00\x18Ɽ\x00\x18Ʇ\x00\x18Ʝ\x00\x18Ʞ\x000Ϊ́\x000Ϋ́\x00$ԵՒԵւ\x00\x18H̱\x00\x18T̈\x00\x18W̊\x00\x18Y̊\x00\x18Aʾ\x00\x10ß\x00 Υ̓\x000Υ̓̀\x000Υ̓́\x000Υ̓͂\x00+ἈΙᾈ\x00+ἉΙᾉ\x00+ἊΙᾊ\x00+ἋΙᾋ\x00+ἌΙᾌ\x00+ἍΙᾍ\x00+ἎΙᾎ\x00+ἏΙᾏ\x00\x1dᾀἈΙ\x00\x1dᾁἉΙ\x00\x1dᾂἊΙ\x00\x1dᾃἋΙ\x00\x1dᾄἌΙ\x00\x1dᾅἍΙ\x00\x1dᾆἎΙ\x00\x1dᾇἏΙ\x00+ἨΙᾘ\x00+ἩΙᾙ\x00+ἪΙᾚ\x00+ἫΙᾛ\x00+ἬΙᾜ\x00+ἭΙᾝ\x00+ἮΙᾞ\x00+ἯΙᾟ\x00\x1dᾐἨΙ\x00\x1dᾑἩΙ\x00\x1dᾒἪΙ\x00\x1dᾓἫΙ\x00\x1dᾔἬΙ\x00\x1dᾕἭΙ\x00\x1dᾖἮΙ\x00\x1dᾗἯΙ\x00+ὨΙᾨ\x00+ὩΙᾩ\x00+ὪΙᾪ\x00+ὫΙᾫ\x00+ὬΙᾬ\x00+ὭΙᾭ\x00+ὮΙᾮ\x00+ὯΙᾯ\x00\x1dᾠὨΙ\x00\x1dᾡὩΙ\x00\x1dᾢὪΙ\x00\x1dᾣὫΙ\x00\x1dᾤὬΙ\x00\x1dᾥὭΙ\x00\x1dᾦὮΙ\x00\x1dᾧὯΙ\x00-ᾺΙᾺͅ\x00#ΑΙᾼ\x00$ΆΙΆͅ\x00 Α͂\x006Α͂Ιᾼ͂\x00\x1cᾳΑΙ\x00\x10Ι\x00-ῊΙῊͅ\x00#ΗΙῌ\x00$ΉΙΉͅ\x00 Η͂\x006Η͂Ιῌ͂\x00\x1cῃΗΙ\x000Ϊ̀\x000Ϊ́\x00 Ι͂\x000Ϊ͂\x000Ϋ̀\x000Ϋ́\x00 Ρ̓\x00 Υ͂\x000Ϋ͂\x00-ῺΙῺͅ\x00#ΩΙῼ\x00$ΏΙΏͅ\x00 Ω͂\x006Ω͂Ιῼ͂\x00\x1cῳΩΙ\x00\x10ω\x00\bk\x00\x10å\x00\x10ɫ\x00\x10ɽ\x00\x10Ⱥ\x00\x10Ⱦ\x00\x10ɑ\x00\x10ɱ\x00\x10ɐ\x00\x10ɒ\x00\x10ȿ\x00\x10ɀ\x00\x10ɥ\x00\x10ɦ\x00\x10ɜ\x00\x10ɡ\x00\x10ɬ\x00\x10ʞ\x00\x10ʇ\x00\x10ʝ\x00\x12FFFf\x00\x12FIFi\x00\x12FLFl\x00\x1bFFIFfi\x00\x1bFFLFfl\x00\x12STSt\x00\x12STSt\x00$ՄՆՄն\x00$ՄԵՄե\x00$ՄԻՄի\x00$ՎՆՎն\x00$ՄԽՄխ"

// Total table size 12514 bytes (12KiB)
